2017-02-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serviceregistry.h: add missing includes in
	service registry

2017-02-22  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/rpcclient.cpp: make setting ssl just a little nicer.

2017-02-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcserver.h,
	include/cxxtools/json/rpcserver.h, include/cxxtools/net/uri.h: minor
	fixes * make constructor of json and binary rpcserver with a event loop
	explicit * initialize members when cxxtools::net::Uri is default constructed

2017-02-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcclient.cpp, src/http/client.cpp,
	src/http/clientimpl.cpp, src/http/clientimpl.h,
	src/json/rpcclient.cpp, src/tcpsocket.cpp, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: make ssl support optional with configure switch
	--with-ssl=true|false

2017-02-19  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 8a50cb16dfda96763ab047451295a8b17668737c Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Feb 19 11:43:05 2017 +0100

2017-02-18  Tommi Mäkitalo <tommi@tntnet.org>

	* test/rpcbenchclient.cpp, test/rpcbenchserver.cpp: extend rpc
	benchmark programs with support for ssl

2017-02-18  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcechoclient.cpp, demo/rpcserver.cpp,
	include/cxxtools/bin/rpcclient.h, include/cxxtools/bin/rpcserver.h,
	include/cxxtools/json/rpcclient.h, src/bin/rpcclient.cpp,
	src/bin/rpcclientimpl.cpp, src/bin/rpcclientimpl.h,
	src/bin/rpcserver.cpp, src/bin/rpcserverimpl.cpp,
	src/bin/rpcserverimpl.h, src/bin/socket.cpp,
	src/json/rpcclient.cpp, src/json/rpcclientimpl.cpp,
	src/json/rpcclientimpl.h, test/binrpc-test.cpp: Binary rpc server
	and client can use ssl now.  I changed the api a bit. The ssl flag
	is now passed with a separate method in json rpc and binary rpc.
	Also the domain in binary rpc is moved to a separate method instead
	of optional parameter to the constructor.

2017-02-18  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcserver.cpp, include/cxxtools/json/rpcserver.h,
	src/json/rpcclientimpl.cpp, src/json/rpcserver.cpp,
	src/json/rpcserverimpl.cpp, src/json/rpcserverimpl.h,
	src/json/socket.cpp: jsonrpc server and client can use ssl

2017-02-18  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcserver.cpp, include/cxxtools/http/server.h,
	src/http/server.cpp, src/http/serverimpl.cpp,
	src/http/serverimpl.h, src/http/serverimplbase.h: use std::string
	instead of const char* to pass certificates to http server.

2017-02-18  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/http/serverimpl.h,
	src/http/socket.cpp, src/tcpsocket.cpp, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: Ssl certificates can be loaded and are used.
	The http client can talk with the server https.  This is tested with
	the demos rpcserver and rpcechoclient.

2017-02-17  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcechoclient.cpp, demo/rpcserver.cpp: add ssl feature to rpc
	demos

2017-02-17  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/http/server.h, src/http/server.cpp,
	src/http/serverimpl.cpp, src/http/serverimpl.h,
	src/http/serverimplbase.h: Implement loading certificate to http
	server.  The certificate is not used yet so https is not yet ready.

2017-02-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/tcpsocket.cpp,
	src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: implement methods for
	loading ssl certificates into a tcp socket

2017-02-13  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: fix checking connection in tcp client was
	broken since extending failure checking

2017-02-13  Tommi Mäkitalo <tommi@tntnet.org>

	* src/deserializer.cpp, src/timer.cpp: remove 2 unused variables

2017-02-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/csvdeserializer.h,
	include/cxxtools/xmlrpc/client.h,
	include/cxxtools/xmlrpc/formatter.h,
	include/cxxtools/xmlrpc/responder.h,
	include/cxxtools/xmlrpc/scanner.h,
	include/cxxtools/xmlrpc/service.h, src/csvdeserializer.cpp,
	src/xmlrpc/client.cpp, src/xmlrpc/formatter.cpp,
	src/xmlrpc/responder.cpp, src/xmlrpc/scanner.cpp,
	src/xmlrpc/service.cpp: fix file mode for some all files

2017-02-03  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/tcpsocket.cpp,
	src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: fixe syncronous mode of
	ssl in tcp socket

2017-02-03  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/json/rpcclient.h, src/json/rpcclient.cpp,
	src/json/rpcclientimpl.cpp, src/json/rpcclientimpl.h: json rpc
	client can use ssl

2017-02-03  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/httpclient.cpp, include/cxxtools/http/client.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/xmlrpc/httpclient.h, src/http/client.cpp,
	src/http/clientimpl.cpp, src/http/clientimpl.h,
	src/json/httpclient.cpp, src/json/httpclientimpl.h,
	src/xmlrpc/httpclient.cpp, src/xmlrpc/httpclientimpl.h: http clients
	can use https

2017-02-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: * set end of file flag correctly in ssl mode of tcpsocket * add some more logging to tcpsocket

2017-02-01  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: ssl read and write
	implemented; ssl client mode works now tested against tntnet

2017-02-01  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/netcat.cpp, src/tcpsocketimpl.cpp: fix ssl connection in
	blocking mode

2017-02-01  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/netcat.cpp, src/http/clientimpl.h, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: some fixes in ssl error checking (unfinished)
	add ssl to netcat demo to test ssl

2017-02-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/tcpsocket.cpp,
	src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: ssl accept, connect and
	shutdown are implemented but not yet tested

2017-02-01  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac, src/Makefile.am: add link flag to openssl libraries

2017-01-31  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: continued implementing ssl

2017-01-30  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: add ssl error check function

2017-01-30  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit ea949d77952cde2e3145544419f8318331151626 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Mon Jan 30 09:37:43 2017 +0100

2017-01-29  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac, include/cxxtools/net/tcpsocket.h,
	src/tcpsocket.cpp, src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: 
	continue implementing ssl

2017-01-26  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpstream.h, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: more preparation for ssl

2017-01-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/query_params.h, test/query_params-test.cpp: Bring
	back method cxxtools::QueryParams::getNames.  The method was lost
	when the class was simplified.

2017-01-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/tcpsocket.cpp,
	src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: change ssl interface

2017-01-24  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonparser.cpp: throw right exception type in json parser
	(JsonParserError instead of SerializationError)

2017-01-24  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonparser.cpp: throw right exception type in json parser
	(JsonParserError instead of SerializationError)

2017-01-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpsocket.h, src/iodeviceimpl.cpp,
	src/iodeviceimpl.h, src/tcpsocket.cpp, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: implement interface for ssl (without
	functionality)

2017-01-20  Tommi Mäkitalo <tommi@tntnet.org>

	* src/iodeviceimpl.cpp, src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: 
	Always use send when writing to a network socket.  Send has the
	ability to suppress SIGPIPE when the peer closes the connection.
	The TcpSocket class may have used write sometimes in which case the
	program gets a SIGPIPE, which by default stops the process.  Also
	dumping read data from and written data to a socket is now logged
	with lower severity (FINER).

2017-01-19  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/README, demo/saml2.cpp: Add demo for
	creating xml.

2017-01-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpstream.h, src/tcpstream.cpp: TcpStream
	class should use a extendable streambuffer. This is really a must if
	asyncronous communication is used since writing otherwise may block.

2017-01-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/iostream.h, src/iostream.cpp: remove extend flag
	from cxxtools::IStream since the flag affects only the output
	buffer.

2017-01-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/streambuffer.cpp: Fix extending streambuffer in async mode.
	Befor replacing the buffer while write operation is pending the
	write must be finished and restarted after replacement.

2017-01-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonformatter.cpp: change logging category for json formatter
	to match other json objects

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/cgi.cpp: xml changes: remove demo for
	xmltag also

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* src/Makefile.am, src/xmltag.cpp: xml change: forgot to remove
	xmltag.cpp also

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/split.h: make cxxtools::split more efficient by
	avoiding string copies

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/date.h, src/date.cpp: add some format codes to
	cxxtools::Date to match cxxtools::DateTime

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/attribute.h: add support xml date, time and
	datetime format in xml attributes

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/xml/xmlwriter.h,
	include/cxxtools/xmltag.h, src/xml/xmlwriter.cpp: Xml writer
	changes: * add missing header cxxtools/xml/attribute.h * remove obsolete header cxxtools/xml/xmltag.h * indent attributes in xml when requested indentation

2017-01-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/attribute.h,
	include/cxxtools/xml/startelement.h,
	include/cxxtools/xml/xmlwriter.h, src/xml/entityresolver.cpp,
	src/xml/xmlwriter.cpp: Improvements in Xml writer.  * Create helper class cxxtools::xml::XmlWriter::Entity which creates
	a xml node with its constructor and destuctor.  * Simplification and optimization in xml entity resolver

2017-01-11  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: Fix checking for connection errors in
	tcpsocket.  Check was broken for async mode after improvement of
	error messages.

2016-12-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/remoteprocedure.h, utils/remoteprocedure.pl: last
	commit was not complete - this fixes another compile error in
	remoteprocedure in C++11 mode

2016-12-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/remoteprocedure.h, utils/remoteprocedure.pl: fix
	compile error in remoteprocedure without arguments in C++11

2016-12-07  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit e0b7d1889500af895a7c610a83075406eed00908 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Fri Dec 2 08:46:48 2016 +0100

2016-12-02  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/hd.cpp, include/cxxtools/hdstream.h, src/iodeviceimpl.cpp,
	src/tcpsocketimpl.cpp: new class cxxtools::HexDump, which makes
	outputting hex dumps to std::ostream a little more efficient

2016-11-23  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/httpclient.cpp, src/xmlrpc/client.cpp: Fix possible crash
	in xmlrpc client and json client.  The client crashes when a default
	constructed client is passed to a remote procedure and then
	destructed.

2016-11-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/eventloop.h, src/eventloop.cpp: add idle signal
	to event loop

2016-11-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp: 
	make serialization of SerializationInfo nicer

2016-11-06  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 7087fdf9ef6cf2233ab1e8bea0c6bd2f63255fb2 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Nov 6 23:47:36 2016 +0100

2016-11-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp: 
	Fix serialization of SerializationInfo.  Serialization must not
	change the name of the target SerializationInfo.

2016-10-25  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/iniparser.h, include/cxxtools/join.h,
	include/cxxtools/posix/daemonize.h, include/cxxtools/posix/exec.h,
	include/cxxtools/thread.h: add missing include guards to some
	headers

2016-09-23  Michal Vyskocil <michalvyskocil@eaton.com>

	* include/cxxtools/pool.h: add missing guard to pool.h

2016-09-22  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/msgclient.cpp, demo/msgserver.cpp, src/tcpsocketimpl.cpp,
	src/tcpsocketimpl.h: improve error message when trying to connect a
	tcp socket

2016-09-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/convert.h: fix prototypes for convert functions
	for long longs

2016-09-20  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpserverimpl.cpp: improve debug output of tcpserver when
	failing to create socket for a addr entry

2016-09-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/clock.h, include/cxxtools/datetime.h,
	include/cxxtools/timer.h, src/clock.cpp, src/clockimpl.cpp,
	src/clockimpl.h, src/datetime.cpp, src/timer.cpp: extend
	cxxtools::Timer by a signal, which passes the due date of the timer

2016-09-19  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 5695762441295109c3075f510535fd6ee7227e6e Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Mon Sep 19 14:16:01 2016 +0200

2016-09-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/addrinfo.cpp: fix crash when trying to copy an empty AddrInfo
	object

2016-09-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/xmldeserializer.h: add missing include

2016-09-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/timer.cpp: Remove warning about no configured selector when
	starting timer.  Adding a warning when starting a timer was not such a good idea.  It
	is quite normal to start a timer and setting the selector after
	that. It happens e.g. in the http server.

2016-09-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/socket.h, src/json/socket.h: remove unused headers

2016-09-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/http/serverimpl.cpp: fix potential memory leak

2016-08-26  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/parser.h, src/bin/formatter.cpp,
	src/bin/parser.cpp, src/bin/responder.cpp,
	src/bin/rpcclientimpl.cpp, src/bin/scanner.cpp, src/bin/scanner.h: 
	Fix in binary rpc client and server Handling of dictionary was wrong when multiple requests were
	executed.  The parser needs to be reinitialized between calls.

2016-08-25  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/convert.h: fix (workaround) a rounding problem in
	cxxtools::convert when converting long double to string

2016-08-10  Tommi Mäkitalo <tommi@tntnet.org>

	* test/.gitignore: ignore generated "logbench" in git

2016-08-11  Tommi Mäkitalo <tommi@tntnet.org>

	* src/base64codec.cpp: add missing include in base64codec.cpp

2016-08-10  Tommi Mäkitalo <tommi@tntnet.org>

	* test/binrpc-test.cpp, test/jsonrpc-test.cpp,
	test/jsonrpchttp-test.cpp, test/xmlrpc-test.cpp,
	test/xmlrpccallback-test.cpp: make listen ip configurable in
	unittest using env var UTEST_LISTEN listen port was already
	configurable with env var UTEST_PORT

2016-08-10  Tommi Mäkitalo <tommi@tntnet.org>

	* src/xml/xmlreader.cpp: allow char '>' in xml data

2016-04-13  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore, demo/Makefile.am, demo/commandoutput.cpp,
	demo/execLs.cpp, include/cxxtools/posix/commandinput.h,
	include/cxxtools/posix/commandoutput.h,
	include/cxxtools/posix/exec.h: simplify class cxxtools::Exec

2016-04-06  Tommi Mäkitalo <tommi@tntnet.org>

	* src/timer.cpp: add warning log when starting timer without
	selector

2016-04-04  Tommi Mäkitalo <tommi@tntnet.org>

	* src/timespan.cpp: interpret a string "<number>mil..." as
	milliseconds instead of minutes in cxxtools::Timespan

2016-03-20  Tommi Mäkitalo <tommi@tntnet.org>

	* src/deserializer.cpp, src/xmlrpc/scanner.cpp: fix possible crash
	on invalid xml in xmlrpc server do not allow to underrun member
	scanner if too many calls to leaveMember in deserializer

2016-03-08  Tommi Mäkitalo <tommi@tntnet.org>

	* src/timespan.cpp: Fix deserializing timestamp: On unknown unit the
	just the number is used. Previously the timestamp was set to 0.

2016-03-03  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/iodevice.h, include/cxxtools/streambuffer.h,
	src/iodevice.cpp, src/iodeviceimpl.cpp, src/streambuffer.cpp,
	src/tcpsocketimpl.cpp: some improvements in cxxtools::StreamBuffer
	and IODevice: * in cxxtools::StreamBuffer on beginWrite do nothing if already
	writing instead of discard and rewrite * add documentation in cxxtools::StreamBuffer * log debug output as hex dump if something is written to a device

2016-01-28  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp: changes to
	cxxtools::MimeEntity: * new method readBody for reading entity body from input stream * decode data according to content transfer encoding when reading
	entity body

2016-01-24  Tommi Mäkitalo <tommi@tntnet.org>

	* .gitignore, demo/Makefile.am, demo/mimemultipart.cpp,
	include/cxxtools/mime.h, src/mime.cpp: simplify creatating complex
	mime multipart objects with sub objects.

2016-01-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h: add missing include guards in
	cxxtools/mime.h

2016-01-21  Tommi Mäkitalo <tommi@tntnet.org>

	* src/mime.cpp: fix parsing mime multipart  * allow boundary in quotes

2016-01-17  Tommi Mäkitalo <tommi@tntnet.org>

	* src/mime.cpp: add missing header (github issue #11)

2016-01-17  Tommi Mäkitalo <tommi@tntnet.org>

	* src/regex.cpp: fix calculating offsets when regular expressions
	with offset is processed (cxxtools::Regex::matchp)

2016-01-14  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h: fix setting type of mime multipart object

2016-01-11  Tommi Mäkitalo <tommi@tntnet.org>

	* src/quotedprintablecodec.cpp: fix compiler warning due to strange
	loop condition.

2016-01-11  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp, test/Makefile.am,
	test/mime-test.cpp: make mime classes serializable and add some unit
	tests

2016-01-11  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/mime2json.cpp, demo/mimeextract.cpp,
	include/cxxtools/mime.h, src/mime.cpp: rename cxxtools::MimeObject
	to cxxtools::MimeEntity and add some documentation.  "Entity" is the phrase, which is used in the rfc.

2016-01-10  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore, demo/Makefile.am, demo/mimeextract.cpp: add demo
	to extract parts from a mime/multipart message

2016-01-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp: Add constructor to parse
	mime/multipart messages from a std::istream

2016-01-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp: remove 2 methods from
	cxxtools::MimeMultipart to resolve abiguouty

2016-01-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h: add some stl container style methods to
	cxxtools::MimeMultipart

2016-01-08  Tommi Mäkitalo <tommi@tntnet.org>

	* src/mime.cpp: fix cxxtools::MimeMultipart::addObject - forgot to
	set the body

2016-01-07  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/mime2json.cpp, demo/multipart2json.cpp,
	src/mime.cpp: improve mime multipart demo Read not only mime multipart messages but all mime objects.  Add
	some documentation to the demo.

2016-01-07  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore: update .gitignore

2016-01-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp: fix parsing mime/multipart
	messages (was broken after reworking api)

2016-01-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp,
	src/quotedprintablecodec.cpp, test/quotedprintable-test.cpp: improve
	api for mime objects

2016-01-07  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/mime.cpp, include/cxxtools/mime.h, src/base64codec.cpp: limit
	line width of base64 encoder to 76 characters

2016-01-07  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/mime.cpp, demo/multipart2json.cpp,
	include/cxxtools/mime.h, src/mime.cpp: rework mime multipart - first
	step

2016-01-06  Tommi Mäkitalo <tommi@tntnet.org>

	* src/Makefile.am, src/quotedprintablestream.cpp: Last checkin was
	imcomplete. Remove old quoted printable stream class also.  It does
	not compile any more.

2016-01-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/quotedprintablestream.h,
	test/quotedprintable-test.cpp: replace old quoted printable
	implementation with new quoted printable codec

2016-01-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/quotedprintablecodec.h,
	src/Makefile.am, src/quotedprintablecodec.cpp,
	test/quotedprintable-test.cpp: Implement a codec for quoted
	printable

2016-01-06  Tommi Mäkitalo <tommi@tntnet.org>

	* src/base64codec.cpp: fix base64 codec The codec needs to consume always at least one byte or write one
	byte in every step. Otherwise it may stop in some cicumstances.

2016-01-05  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/base64codec.h: remove unused #include

2016-01-05  Tommi Mäkitalo <tommi@tntnet.org>

	* src/base64codec.cpp, test/base64-test.cpp: accept white space in
	base64 encoded data when decoding it

2016-01-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/mime.cpp: fix cxxtools::Mime Mime objects has a line delimiter CRLF instead of just LF

2015-12-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/mime.h, src/mime.cpp: small changes in
	cxxtools::Mime class Fix specification of charset.  Do not output multipart mime object
	if only one part is found.  Small usability improvements.

2015-12-18  Tommi Mäkitalo <tommi@tntnet.org>

	* src/serializationinfo.cpp: Fix move constructor of
	cxxtools::SerializationInfo We cannot just move the byte pattern of a std::string. It mostly
	works but it depends on the implementation of std::string.

2015-12-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/utf8codec.cpp, test/utf8-test.cpp: fix bug where json
	deserializer may hang when processing a byte order mark

2015-12-02  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/eventloop.h, include/cxxtools/eventsink.h,
	src/eventloop.cpp, src/eventsink.cpp, test/Makefile.am,
	test/eventloop-test.cpp: implement priority events, which overtake
	non priority events

2015-11-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/eventloop.h, src/eventloop.cpp: impl
	cxxtools::EventLoop for better binary compatibility in future
	releases

2015-11-25  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h, src/log.cpp,
	test/logconfiguration-test.cpp: allow setting log level using string
	notation in cxxtools::LogConfiguration

2015-11-20  Tommi Mäkitalo <tommi@tntnet.org>

	* src/xml/xmlreader.cpp, test/xmlreader-test.cpp: allow colon in tag
	names to parse xml name spaces and add some debug messages into xml
	parser

2015-11-18  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h, src/timespan.cpp,
	test/timespan-test.cpp: improve serialization and istream support in
	cxxtools::Timespan Units are now read from istream.  Reading a WeakTimespan from just number or deserialization from just
	number defaults to the units of the WeakTimespan, e.g. reading or
	deserialization of "42" to cxxtools::Seconds is now really 42
	seconds but reading "42h" means 42 days even when cxxtools::Seconds
	are read.

2015-10-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/convert.h, include/cxxtools/timespan.h,
	src/timespan.cpp, test/timespan-test.cpp: improve serialization and
	output of cxxtools::Timespan

2015-10-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/deserializer.h: make deserialize method in
	deserializer const

2015-10-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/eventloop.h, include/cxxtools/eventsink.h,
	src/eventloop.cpp, src/eventsink.cpp: implement queueEvent in event
	loop, which was documented but missing

2015-10-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/jsonparser.h, src/jsonparser.cpp,
	test/jsondeserializer-test.cpp: accept trailing comma in json arrays
	and objects

2015-10-01  Tommi Mäkitalo <tommi@tntnet.org>

	* test/properties-test.cpp: add some more test cases to properties
	deserializer test

2015-10-01  Tommi Mäkitalo <tommi@tntnet.org>

	* src/timer.cpp: fix overflow in timer initialization

2015-10-01  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesserializer.cpp: small fix in propertiesserializer:
	name of array was not serialized when it was a member

2015-10-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/csvformatter.h,
	include/cxxtools/csvserializer.h, src/csvformatter.cpp,
	test/csvserializer-test.cpp: allow multichar delimiter in
	csvserializer

2015-10-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/propertiesparser.h,
	src/propertiesdeserializer.cpp, src/propertiesparser.cpp,
	test/properties-test.cpp: small fix in propertiesdeserializer When trim is enabled in propertiesdeserializer white space at the
	beginning and end of a value is trimmed away. The sequence \t in a
	properties file means a tab character. But this sequence should not
	be stripped away. This is fixed now. Also a space, which is escaped
	with '\' is not stripped away any more.

2015-09-29  Tommi Mäkitalo <tommi@tntnet.org>

	* src/envsubst.cpp, test/envsubst-test.cpp: small fix in envsubst
	function do not remove backslashes other than when escaping '$'

2015-09-29  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesparser.cpp: minor fix in propertiesparser handle escaped characters at the beginning of a value after a key
	without delimiter correctly

2015-09-29  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/decomposer.h, src/bin/parser.cpp,
	src/xmlrpc/responder.cpp: cleanup some includes

2015-09-25  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonparser.cpp: accept '_' in plain keys in json

2015-09-25  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, include/cxxtools/string.h,
	src/serializationinfo.cpp, src/string.cpp: add noexcept specifier to
	move constructor for possibly better optimization

2015-09-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timer.h, src/timer.cpp: check interval time for
	validity in cxxtools::Timer

2015-09-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/selector.h, src/selector.cpp,
	src/selectorimpl.cpp: add new method waitTimer to Selector

2015-09-22  Tommi Mäkitalo <tommi@tntnet.org>

	* src/serializationinfo.cpp: prevent double delete when memory is
	exhausted in SerializationInfo assignment

2015-09-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp: 
	fix memory leak in SerializationInfo

2015-09-16  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesdeserializer.cpp, src/propertiesparser.cpp,
	test/properties-test.cpp: extend properties deserializer to support
	more combinations of serialization keys and members

2015-09-16  Tommi Mäkitalo <tommi@tntnet.org>

	* cxxtools-config.in: add generator for logging properties back to
	cxxtools-config

2015-09-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/unit/assertion.h: add new unit test macro
	CXXTOOLS_UNIT_ASSERT_EQUALS2 which expects a output function as an
	additional parameter The output function expects the value as a parmeter and must return
	something, which has an output operator, e.g. a std::string.

2015-09-10  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: forgot to output log levels FINER and FINEST in
	logger

2015-09-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/properties.h,
	include/cxxtools/propertiesserializer.h,
	src/propertiesserializer.cpp, test/propertiesserializer-test.cpp: 
	add object and array size as comment to properties in
	propertiesserializer (can be switched of)

2015-09-10  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesserializer.cpp, test/propertiesserializer-test.cpp: 
	add comments about array and object sizes to properties in
	propertiesserializer

2015-09-09  Tommi Mäkitalo <tommi@tntnet.org>

	* test/propertiesserializer-test.cpp: add missing file (again)

2015-09-09  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesserializer.cpp: add missing file

2015-09-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/properties.h,
	include/cxxtools/propertiesserializer.h, src/Makefile.am,
	test/Makefile.am: implement propertiesserializer

2015-09-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h,
	include/cxxtools/settings.h, src/csvparser.cpp, src/jsonparser.cpp,
	src/serializationinfo.cpp, test/serializationinfo-test.cpp: cleanup
	some headers

2015-09-06  Tommi Mäkitalo <tommi@tntnet.org>

	* ChangeLog, utils/git2changelog.pl: update ChangeLog

2015-09-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/base64codec.h, include/cxxtools/connectable.h,
	include/cxxtools/delegate.h, include/cxxtools/event.h,
	include/cxxtools/function.tpp, include/cxxtools/http/server.h,
	include/cxxtools/posix/commandoutput.h,
	include/cxxtools/selector.h, include/cxxtools/settings.h,
	include/cxxtools/signal.h, include/cxxtools/unit/reporter.h,
	include/cxxtools/unit/testmethod.h, include/cxxtools/xml/node.h,
	src/base64codec.cpp, src/bin/rpcserverimpl.cpp, src/bin/socket.cpp,
	src/charmapcodec.cpp, src/csvformatter.cpp, src/eventloop.cpp,
	src/http/chunkedreader.cpp, src/http/clientimpl.cpp,
	src/http/notauthenticatedresponder.cpp,
	src/http/notauthenticatedservice.cpp,
	src/http/notfoundresponder.cpp, src/http/parser.cpp,
	src/http/responder.cpp, src/http/serverimpl.cpp,
	src/http/service.cpp, src/http/socket.cpp, src/iniparser.cpp,
	src/iodeviceimpl.cpp, src/json/httpclientimpl.cpp,
	src/json/httpresponder.cpp, src/json/rpcserverimpl.cpp,
	src/json/socket.cpp, src/jsonformatter.cpp, src/log.cpp,
	src/multifstream.cpp, src/mutex.cpp, src/muteximpl.cpp,
	src/muteximpl.h, src/selector.cpp, src/settingsreader.h,
	src/streambuffer.cpp, src/tcpserverimpl.cpp,
	src/unit/application.cpp, src/unit/jsonreporter.cpp,
	src/utf8codec.cpp, src/xml/xmlformatter.cpp, src/xml/xmlreader.cpp,
	src/xml/xmlwriter.cpp, src/xmlrpc/formatter.cpp,
	src/xmlrpc/httpclient.cpp, src/xmlrpc/httpclientimpl.cpp,
	src/xmlrpc/responder.cpp, test/binrpc-test.cpp,
	test/jsondeserializer-test.cpp, test/jsonrpc-test.cpp,
	test/jsonrpchttp-test.cpp, test/rpcbenchasyncclient.cpp,
	test/xmlrpc-test.cpp, test/xmlrpccallback-test.cpp: fix unused
	parameters warnings (not enabled by default)

2015-08-18  Tommi Mäkitalo <tommi@tntnet.org>

	* src/envsubst.cpp: better error message when string could not be
	parsed in envsubst

2015-08-13  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/unit/application.h,
	include/cxxtools/unit/assertion.h,
	include/cxxtools/unit/jsonreporter.h,
	include/cxxtools/unit/reporter.h, include/cxxtools/unit/test.h,
	include/cxxtools/unit/testmain.h,
	include/cxxtools/unit/testsuite.h, src/string.cpp,
	src/unit/Makefile.am, src/unit/application.cpp,
	src/unit/jsonreporter.cpp, src/unit/reporter.cpp,
	src/unit/test.cpp, src/unit/testcontext.cpp, test/arg-test.cpp: 
	Several unit test improvements  * In CXXTOOLS_UNIT_ASSERT_EQUALS the expressions are evaluated just
	 once now.  * There is a new macro CXXTOOLS_UNIT_SKIP to skip a test.   * A new flag -s prints a statistic summary of the tests.   * A new class cxxtools::unit::JsonReporter makes it possible to
	   output test results with a serializer like json.   * A new flag -j or --json in unit test outputs results in json
	 format.

2015-08-04  Tommi Mäkitalo <tommi.maekitalo@comyno.com>

	* src/streambuffer.cpp: optimization in StreamBuffer: beginWrite
	will try to write some if already in write operation

2015-08-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/date.h, src/date.cpp, test/date-test.cpp: fix
	date validation

2015-08-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/smartptr.h: remove unused parameter name from
	smart pointer to remove an extended compiler warning

2015-08-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/posix/commandinput.h: pass options parameter to
	for in command input class

2015-07-30  Tommi Mäkitalo <tommi@tntnet.org>

	* src/streambuffer.cpp: fix a bug where the streambuffer may block
	when non blocking I/O is used

2015-07-29  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/date.h, include/cxxtools/datetime.h,
	include/cxxtools/time.h, src/date.cpp, src/datetime.cpp,
	src/dateutils.cpp, src/dateutils.h, src/time.cpp,
	test/date-test.cpp, test/datetime-test.cpp, test/time-test.cpp: 
	additional date and time formats for fixed number of digits

2015-07-25  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp,
	test/serializer-bench.cpp: change SerializationInfo to held a
	pointer to container to subnodes instead of the container itself

2015-07-24  Tommi Mäkitalo <tommi@tntnet.org>

	* src/conditionimpl.cpp: wait infinitely when passing negative
	timeout to queue

2015-07-21  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: initialize tostdout flag correctly in logger

2015-07-17  Tommi Mäkitalo <tommi@tntnet.org>

	* src/datetime.cpp, src/dateutils.cpp, src/dateutils.h,
	src/time.cpp: limit to 3 digits when parsing milliseconds in
	cxxtools::Time and cxxtools::DateTime

2015-07-17  Tommi Mäkitalo <tommi@tntnet.org>

	* src/date.cpp, src/datetime.cpp: fix parsing date with format code
	%y: should read just 2 digits

2015-07-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp: 
	Change container for subnodes in SerializationInfo from std::vector
	to std::deque Adding members to SerializationInfo using addMember may result to
	invalidation of previous references to the object when using
	std::vector. This does not happen with std::deque.  Since a deque do
	not have a reserve method, the reserve method in SerializationInfo
	is removed also.  This results in a break in the api. If someone use
	the method, just remove it. It is not needed in a deque.

2015-07-13  Tommi Mäkitalo <tommi@tntnet.org>

	* test/serializationinfo-test.cpp: skip range error check in
	serialization info if double or float are not smaler than long
	double

2015-07-12  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac: update release and so number

2015-07-12  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h: fix format code in documentation of
	DateTime class

2015-07-11  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h, src/log.cpp: implement time based
	rolling of log files

2015-07-11  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/time.h, src/time.cpp: fix cxxtools::Time object
	on 32 bit platforms Extending resolution of time object lead to overflow when long is
	just 32 bit. We use uint64_t now.

2015-07-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/char.h, src/utf8codec.cpp,
	test/jsondeserializer-test.cpp: fix reading multibyte utf8 sequences
	from utf8 codec

2015-07-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/xml.h,
	include/cxxtools/xml/xmldeserializer.h, src/xml/xmldeserializer.cpp: 
	fix xml deserializer and add attribute prefix feature The xml deserializer forgot to read some attributes on some
	circumstances.  The attribute prefix feature helps distinquishing
	between xml nodes and xml attributes.

2015-07-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/json/rpcserver.cpp,
	src/serializationinfo.cpp, src/xml/xmlwriter.cpp: fix typo

2015-07-01  Tommi Mäkitalo <tommi@tntnet.org>

	* src/xml/xmldeserializer.cpp: fix compiler warning

2015-07-01  Tommi Mäkitalo <tommi@tntnet.org>

	* src/xml/xmldeserializer.cpp: fix processing xml attributes in
	deserializer when a start node is followed directly by another start
	node

2015-06-25  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonformatter.cpp: fix plainkey flag in jsonformatter: keys
	for subarrays or substructs did not considered the flag

2015-06-20  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/utf8.h: utf8 helper for deserialization was still
	wrong - this time I tested it before commit

2015-06-20  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/utf8.h: fix utf8 convert helper for
	deserialization (const was missing)

2015-06-18  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp,
	test/serializationinfo-test.cpp: fix move assignment of
	SerializationInfo In some cicumstances move operations lead to double free corruption.

2015-06-18  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am: do not install header from demo

2015-05-21  Tommi Mäkitalo <tommi@tntnet.org>

	* src/clockimpl.cpp: fix cxxtools::Clock::getSystemTime

2015-05-16  Tommi Mäkitalo <tommi@tntnet.org>

	* src/clockimpl.cpp, src/date.cpp, src/datetime.cpp,
	src/dateutils.cpp, src/dateutils.h, src/time.cpp: fix handling
	microseconds in datetime and time

2015-05-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h, include/cxxtools/time.h,
	src/datetime.cpp, src/dateutils.cpp, src/dateutils.h, src/time.cpp,
	test/datetime-test.cpp, test/time-test.cpp: add format codes %u and
	%U for microseconds in Time and Datetime classes

2015-05-15  Tommi Mäkitalo <tommi@tntnet.org>

	* test/date-test.cpp, test/datetime-test.cpp, test/time-test.cpp: 
	implement unit tests for serialization of date, time and datetime

2015-05-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/time.h: rename microsec to usec in cxxtools::Time
	and fix accessor for it

2015-05-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/time.h, src/datetime.cpp: fix datetime arithmetic

2015-05-15  Tommi Mäkitalo <tommi@tntnet.org>

	* src/datetime.cpp, src/time.cpp: fix for DateTime calculation (not
	finished yet)

2015-05-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/date.h, include/cxxtools/datetime.h,
	include/cxxtools/time.h, include/cxxtools/timespan.h,
	src/datetime.cpp, src/time.cpp, test/datetime-test.cpp,
	test/time-test.cpp: Simplify and extend date and time handling.  cxxtools::Time has now microseconds resolution instead of just
	milliseconds.

2015-05-14  Tommi Mäkitalo <tommi@tntnet.org>

	* test/timespan-test.cpp: add unit test for multiplication and
	division of cxxtools::Timespan

2015-05-13  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp, test/logconfiguration-test.cpp: fix for reading log
	configuration from properties file When a sub category was set but the top level category not, the top
	level got log level FATAL. This was wrong. It must not have a
	explicit own level but fall back to root level.

2015-05-13  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/xmlmsgclient.cpp, demo/xmlmsgserver.cpp,
	include/cxxtools/xml/xmlerror.h, src/xml/xmlreader.cpp,
	test/rpcbenchasyncclient.cpp: Improve xml interface so that a xml
	message based communication is possible.  We also add a demo, which shows how to send xml messages from a
	server to a client.

2015-05-12  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h, test/timespan-test.cpp: add unary -
	operator to timespan class

2015-05-08  Tommi Mäkitalo <tommi@tntnet.org>

	* test/Makefile.am: add missing unittest include file in dist
	package

2015-05-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/date.h, include/cxxtools/datetime.h,
	include/cxxtools/time.h, src/date.cpp, src/datetime.cpp,
	src/dateutils.cpp, src/dateutils.h, src/time.cpp,
	test/date-test.cpp, test/datetime-test.cpp, test/time-test.cpp: 
	extended format codes for date, time and datetime '?' is a placeholder for a arbitrary character '*' is a placeholder
	for skipping non digit data

2015-05-05  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesdeserializer.cpp, test/properties-test.cpp: fix
	PropertiesDeserializer: chain of members were not read correctly

2015-05-05  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h: new member method
	getAddMember in SerializationInfo which combines findMember and
	addMember

2015-04-30  Tommi Mäkitalo <tommi@tntnet.org>

	* test/jsonserializer-test.cpp: improve unit test for json
	serializer

2015-04-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/json.h, include/cxxtools/jsonformatter.h,
	include/cxxtools/jsonserializer.h, src/jsonformatter.cpp,
	test/jsonserializer-test.cpp: new flag "plainkey" in json
	serializer, where keys in structs are written without quotes where
	possible

2015-04-28  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/bin.h, include/cxxtools/csv.h,
	include/cxxtools/json.h, include/cxxtools/xml/xml.h: better error
	handling in iostream operators for serialization and deserialization

2015-04-28  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/jsondeserializer.h, src/jsondeserializer.cpp,
	test/jsondeserializer-test.cpp: use codec directly in json
	deserializer instead of using a temporary TextIStream to prevent
	loosing data in its buffer

2015-04-27  Tommi Mäkitalo <tommi@tntnet.org>

	* src/signal.cpp: fix compile bug: sunstudio compiler complaint
	about syntax error

2015-04-27  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/envsubst.h: fix compile bug not detected by gcc

2015-04-24  Tommi Mäkitalo <tommi@tntnet.org>

	* src/serializationinfo.cpp: remove useless log_debug output in
	SerializationInfo

2015-04-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/textbuffer.h: do not block in
	TextBuffer::underflow when not needed

2015-04-24  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsondeserializer.cpp, src/jsonparser.cpp: fix error detection
	if json is not ended properly

2015-04-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/properties.h,
	include/cxxtools/propertiesdeserializer.h,
	src/propertiesdeserializer.cpp: fix support for environment
	  variables and trim in properties deserializer: need a way to set the
	flags before reading the properties file

2015-04-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/properties.h,
	include/cxxtools/propertiesdeserializer.h,
	src/propertiesdeserializer.cpp: add support for environment
	variables and trim in properties deserializer

2015-04-20  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpstream.h: use timespan as timeout in
	TcpStream class

2015-04-17  Tommi Mäkitalo <tommi@tntnet.org>

	* src/csvparser.cpp, src/jsonparser.cpp, src/propertiesparser.cpp: 
	improve exception messages in json, csv and properties parsers

2015-04-15  Tommi Mäkitalo <tommi@tntnet.org>

	* src/envsubst.cpp: bugfix cxxtools::envSubst: multiple environmen
	variables in one string did not work always

2015-04-13  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: optimization in logger: string buffer is kept between
	calls, which speeds up log output for about 7%

2015-04-09  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/httpclientimpl.cpp, src/xmlrpc/clientimpl.cpp: fix
	handling connect error in jsonhttp and xmlrpc client

2015-04-09  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcclientimpl.cpp, src/json/rpcclientimpl.cpp: fix
	handling connect error in json and binary rpc client

2015-04-08  Tommi Mäkitalo <tommi@tntnet.org>

	* test/properties-test.cpp: remove unused include statment

2015-04-08  Tommi Mäkitalo <tommi@tntnet.org>

	* test/logconfiguration-test.cpp: fix unit test of logger; was
	broken after last change

2015-04-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h: fix compiler warning in logger

2015-04-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/csv.h: minor optimization: pass string by
	reference to cxxtools::CsvOObject

2015-04-04  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/logging-howto.markdown: update logging howto

2015-04-04  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: change log level TRACE not to include FINER and
	FINEST

2015-04-03  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: allow environment variables when specifying log file
	in logger

2015-04-03  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/envsubst.h,
	src/Makefile.am, src/envsubst.cpp, test/Makefile.am,
	test/envsubst-test.cpp: new class cxxtools::EnvSubst to substitute
	environment variables in character sequences

2015-03-31  Tommi Mäkitalo <tommi@tntnet.org>

	* test/logconfiguration-test.cpp: add more unit tests for logging
	configuration

2015-03-31  Tommi Mäkitalo <tommi@tntnet.org>

	* src/directoryimpl.cpp: improve error message in
	cxxtools::Directory

2015-03-31  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/charmapcodec.h,
	src/iso8859_15codec.cpp => include/cxxtools/iso8859_10codec.h,
	include/cxxtools/iso8859_11codec.h,
	include/cxxtools/iso8859_13codec.h,
	include/cxxtools/iso8859_14codec.h,
	include/cxxtools/iso8859_15codec.h,
	include/cxxtools/iso8859_16codec.h,
	include/cxxtools/iso8859_1codec.h,
	include/cxxtools/iso8859_2codec.h,
	include/cxxtools/iso8859_3codec.h,
	include/cxxtools/iso8859_4codec.h,
	include/cxxtools/iso8859_5codec.h,
	include/cxxtools/iso8859_6codec.h,
	include/cxxtools/iso8859_7codec.h,
	include/cxxtools/iso8859_8codec.h,
	include/cxxtools/iso8859_9codec.h, src/Makefile.am,
	src/{iso8859_1codec.cpp => charmapcodec.cpp}, src/iso8859_codec.cpp: 
	add codecs for all iso-8859-x character sets

2015-03-27  Tommi Mäkitalo <tommi@tntnet.org>

	* src/Makefile.am: do not include private header <dateutils.h>

2015-03-26  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h,
	include/cxxtools/unit/assertion.h, src/log.cpp, test/Makefile.am,
	test/logconfiguration-test.cpp: improved logging: allow log levels
	to be switched on and off individually

2015-03-26  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h: fix display of log levels in
	logger

2015-03-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/http/responder.h,
	include/cxxtools/json/responder.h,
	include/cxxtools/xmlrpc/responder.h, src/http/responder.cpp,
	src/http/socket.cpp, src/json/httpresponder.cpp,
	src/json/httpresponder.h, src/xmlrpc/responder.cpp: make socket
	available in http responder

2015-03-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, include/cxxtools/string.h,
	src/string.cpp, test/serializationinfo-test.cpp,
	test/string-test.cpp: add move constructor and move assignment to
	cxxtools::String and cxxtools::SerializationInfo if C++11 is used

2015-03-20  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer.cpp, include/cxxtools/log/cxxtools.h, src/log.cpp,
	test/logbench.cpp: revert to old log level definitions
	LOG_LEVEL_something

2015-03-19  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer.cpp, include/cxxtools/log/cxxtools.h, src/log.cpp,
	test/logbench.cpp: add prefix debug level definitions to prevent
	name clash with commonly used macros like DEBUG

2015-03-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xmlrpc/client.h,
	include/cxxtools/xmlrpc/httpclient.h: add some documentation

2015-03-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/arg.h, include/cxxtools/clock.h,
	include/cxxtools/convert.h, include/cxxtools/delegate.h,
	include/cxxtools/remoteresult.h, include/cxxtools/signal.tpp,
	include/cxxtools/textbuffer.h, include/cxxtools/threadpool.h,
	include/cxxtools/xmlrpc/client.h, src/bin/formatter.cpp,
	src/bin/rpcclient.cpp, src/bin/scanner.h, src/clock.cpp,
	src/connection.cpp, src/directoryimpl.cpp, src/json/httpclient.cpp,
	src/json/rpcclient.cpp, src/json/scanner.h, src/log.cpp,
	src/selectorimpl.cpp, src/xml/xmlreader.cpp,
	src/xmlrpc/httpclient.cpp: minor updates after running cppcheck

2015-03-04  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/binserialization.txt, src/bin/formatter.cpp,
	src/bin/parser.cpp: fix binary deserializer: failed to deserialize
	arrays with names

2015-02-26  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/rpcclientimpl.cpp: fix not initialized counter variable
	in json rpc client

2015-02-08  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcserverimpl.cpp, src/http/serverimpl.cpp,
	src/json/rpcserverimpl.cpp: fix possible memory leak when rpc server
	is terminated while a thread is starting

2015-02-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/connection.h, src/connectable.cpp,
	src/connection.cpp: fix use heap after free bug in Connectable

2015-02-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/limitstream.h: fix delete in limit stream
	(delete[] instead of delete)

2015-02-06  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore: future demo added to gitignore

2015-02-06  Tommi Mäkitalo <tommi@tntnet.org>

	* test/base64-test.cpp: fix base64 test - string was accessed
	outside

2015-02-03  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/future.cpp, include/cxxtools/queue.h,
	include/cxxtools/threadpool.h, src/threadpool.cpp,
	src/threadpoolimpl.cpp, src/threadpoolimpl.h: add future object to
	thread pool to make it easy to wait for a finished job

2015-01-23  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore, demo/Makefile.am, demo/README, demo/msg.h,
	demo/msgclient.cpp, demo/msgserver.cpp, test/.gitignore: add new
	demo: send messages over a socket using serialization

2015-01-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/bin.h, include/cxxtools/csv.h,
	include/cxxtools/json.h, include/cxxtools/xml/xml.h: fix handling of
	exceptions when serialization helprs are used (iostream operators
	should not throw exepctions but just set the failbit

2015-01-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/tcpserver.h, src/bin/rpcserverimpl.cpp,
	src/bin/socket.cpp, src/http/serverimpl.cpp,
	src/json/rpcserverimpl.cpp, src/json/socket.cpp,
	src/tcpserverimpl.cpp: support for socket option SO_REUSEADDR listen
	in tcpsocket fails when one of the addresses got via getaddrinfo
	fail

2015-01-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/string.cpp,
	test/string-test.cpp: fix some cxxtools::String compare cases

2015-01-05  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/convert.h, src/convert.cpp: cxxtools::convert
	functions for long long types imlemented

2015-01-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, test/serialization-test.cpp: 
	add serialization operators for std::forward_list

2015-01-03  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, test/Makefile.am,
	test/serialization-test.cpp, test/serializationinfo-test.cpp: 
	implement serialization operators for C++11 containers
	std::unordered_...

2014-12-26  Tommi Mäkitalo <tommi@tntnet.org>

	* : xmlrpc howto was converted to markdown - remove original odt
	file

2014-12-23  Tommi Mäkitalo <tommi@tntnet.org>

	* src/fileimpl.cpp: fix endless loop in File::copy when sendfile is
	not used (solaris, bsd)

2014-12-21  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/deserialization.cpp, demo/httpclient.cpp,
	demo/serialization.cpp, demo/timer.cpp,
	include/cxxtools/iconvwrap.h, include/cxxtools/limitstream.h,
	include/cxxtools/scopedincrement.h, src/dateutils.h,
	src/iconvwrap.cpp: fix some copyright headers

2014-12-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/inifile.h, src/inifile.cpp, test/Makefile.am,
	test/inifile-test.cpp: some small improvements in cxxtools::IniFile

2014-12-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/queue.h,
	include/cxxtools/scopedincrement.h, test/Makefile.am,
	test/scopedincrement-test.cpp: fix compile errors in timed wait of
	queue and add a new class ScopedIncrement for use in queue

2014-12-20  Tommi Mäkitalo <tommi@tntnet.org>

	* test/inifile.cpp: delete old test program, which does not work any
	more

2014-12-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/queue.h: add getter method with timeout to thread
	queue class (cxxtools::Queue)

2014-12-05  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: fix tcpsocket: may fail when first
	connection attempt did not succeed

2014-12-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/propertiesparser.h,
	include/cxxtools/serializationinfo.h, src/posix/daemonize.cpp,
	src/selectorimpl.cpp, src/string.cpp, src/unit/testsuite.cpp: some
	cleanup to help compiling with oraclestudio compiler (do not fully
	work yet)

2014-12-03  Tommi Mäkitalo <tommi@tntnet.org>

	* m4/ax_cxx_compile_stdcxx_11.m4: update autoconf macro to check for
	C++-11 (makes C++-11 flag optional)

2014-11-18  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac: AC_PROG_LIBTOOL is obsolete and replaced by LT_INIT

2014-11-16  Tommi Mäkitalo <tommi@tntnet.org>

	* src/Makefile.am, src/{ => posix}/daemonize.cpp: move daemonize.cpp
	to right directory

2014-11-15  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: read logging settings optionally from xml attributes

2014-11-14  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/xmlreader.cpp: add a demo for reading a
	object from xml

2014-11-14  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/xml.h, test/xmldeserializer-test.cpp: minor
	fix in xml deserialization helper object

2014-11-14  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/startelement.h, include/cxxtools/xml/xml.h,
	include/cxxtools/xml/xmldeserializer.h, src/xml/startelement.cpp,
	src/xml/xmldeserializer.cpp, src/xml/xmlreader.cpp,
	test/Makefile.am, test/xmldeserializer-test.cpp,
	test/xmlreader-test.cpp: optionally read xml attributes into
	SerializationInfo members in xml deserializer

2014-10-30  Tommi Mäkitalo <tommi@tntnet.org>

	* ChangeLog: update ChangeLog

2014-10-30  Tommi Mäkitalo <tommi@tntnet.org>

	* .gitignore, demo/Makefile.am, demo/jsonbeautify.cpp: add demo
	programm which formats a json structure using cxxtools

2014-10-28  Tommi Mäkitalo <tommi@tntnet.org>

	* .gitignore, m4/ax_cxx_compile_stdcxx_11.m4: add macro for checking
	C++11 compiler flag to list of local macros

2014-10-28  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit fe57376b36cf07959b3347d56b1e818dedd4f67f Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Wed Oct 22 09:32:26 2014 +0200

2014-10-20  Tommi Mäkitalo <tommi@tntnet.org>

	* src/http/clientimpl.cpp: discard previous http reply on execute if
	not fully read in http client

2014-10-20  Tommi Mäkitalo <tommi@tntnet.org>

	* src/http/clientimpl.cpp: initialize reading body in http client as
	soon as possible

2014-10-20  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/limitstream.h: fix data type in limitstream

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* test/string-test.cpp: enable more unit tests for string class

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/api.h,
	include/cxxtools/application.h, include/cxxtools/base64codec.h,
	include/cxxtools/bin/deserializer.h, include/cxxtools/char.h,
	include/cxxtools/clock.h, include/cxxtools/condition.h,
	include/cxxtools/conversionerror.h, include/cxxtools/convert.h,
	include/cxxtools/csvdeserializer.h, include/cxxtools/csvparser.h,
	include/cxxtools/date.h, include/cxxtools/datetime.h,
	include/cxxtools/decomposer.h, include/cxxtools/deserializer.h,
	include/cxxtools/eventloop.h, include/cxxtools/eventsink.h,
	include/cxxtools/eventsource.h, include/cxxtools/facets.h,
	include/cxxtools/filedevice.h, include/cxxtools/formatter.h,
	include/cxxtools/http/api.h, include/cxxtools/http/client.h,
	include/cxxtools/http/messageheader.h,
	include/cxxtools/http/reply.h, include/cxxtools/http/replyheader.h,
	include/cxxtools/http/request.h,
	include/cxxtools/http/requestheader.h,
	include/cxxtools/http/responder.h, include/cxxtools/http/server.h,
	include/cxxtools/http/service.h, include/cxxtools/iodevice.h,
	include/cxxtools/ioerror.h, include/cxxtools/iostream.h,
	include/cxxtools/iso8859_15codec.h,
	include/cxxtools/iso8859_1codec.h,
	include/cxxtools/jsondeserializer.h, include/cxxtools/jsonparser.h,
	include/cxxtools/mutex.h, include/cxxtools/net/addrinfo.h,
	include/cxxtools/net/tcpserver.h, include/cxxtools/net/tcpsocket.h,
	include/cxxtools/net/uri.h, include/cxxtools/pipe.h,
	include/cxxtools/posix/pipe.h,
	include/cxxtools/propertiesdeserializer.h,
	include/cxxtools/selectable.h, include/cxxtools/selector.h,
	include/cxxtools/semaphore.h,
	include/cxxtools/serializationerror.h,
	include/cxxtools/serializationinfo.h,
	include/cxxtools/serviceregistry.h,
	include/cxxtools/streambuffer.h, include/cxxtools/string.h,
	include/cxxtools/stringstream.h, include/cxxtools/textbuffer.h,
	include/cxxtools/textcodec.h, include/cxxtools/textstream.h,
	include/cxxtools/time.h, include/cxxtools/timer.h,
	include/cxxtools/typetraits.h,
	include/cxxtools/unit/registertest.h, include/cxxtools/utf8codec.h,
	include/cxxtools/xml/api.h, include/cxxtools/xml/characters.h,
	include/cxxtools/xml/comment.h,
	include/cxxtools/xml/doctypedeclaration.h,
	include/cxxtools/xml/enddocument.h,
	include/cxxtools/xml/endelement.h,
	include/cxxtools/xml/entityresolver.h,
	include/cxxtools/xml/namespace.h,
	include/cxxtools/xml/namespacecontext.h,
	include/cxxtools/xml/node.h,
	include/cxxtools/xml/processinginstruction.h,
	include/cxxtools/xml/startelement.h,
	include/cxxtools/xml/xmlerror.h, include/cxxtools/xml/xmlreader.h,
	include/cxxtools/xml/xmlwriter.h, include/cxxtools/xmlrpc/api.h,
	include/cxxtools/xmlrpc/client.h,
	include/cxxtools/xmlrpc/formatter.h,
	include/cxxtools/xmlrpc/httpclient.h,
	include/cxxtools/xmlrpc/responder.h,
	include/cxxtools/xmlrpc/scanner.h,
	include/cxxtools/xmlrpc/service.h, src/applicationimpl.h,
	src/conditionimpl.h, src/filedeviceimpl.h, src/http/clientimpl.h,
	src/http/notfoundresponder.h, src/http/parser.h, src/pipeimpl.h,
	src/selectorimpl.h, src/semaphoreimpl.h, src/xmlrpc/clientimpl.h,
	test/string-test.cpp: remove those CXXTOOLS.*_API macros - they were
	never used anyway

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/http/client.h, include/cxxtools/net/uri.h,
	src/uri.cpp: fix construction of net::Uri class

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/http/client.h: update documentation of http
	client class

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/httpclientimpl.cpp: fix logging category in json http
	client

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* test/Makefile.am, test/rpcbenchasyncclient.cpp: add rpc benchmark
	client which uses asyncronous requests

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/limitstream.h, src/http/clientimpl.cpp,
	src/http/clientimpl.h: use limit stream in http client when reading
	body with chunked encoding

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/hdstream.cpp: minor fix: make hex digits const in hdstream

2014-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* .gitignore: add httpclient to .gitignore

2014-10-18  Tommi Mäkitalo <tommi@tntnet.org>

	* src/connectable.cpp: make disconnection signal slot connections
	more robust

2014-10-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/limitstream.h: some small fixes in limitstreams
	(make count optional in constructor; pass streambuf as pointer
	instead of a reference)

2014-10-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/limitstream.h,
	test/Makefile.am, test/limitstream-test.cpp: new (std::)streams
	which limit the number of characters to read or write

2014-10-11  Tommi Mäkitalo <tommi@tntnet.org>

	* utils/{xmlrpcservice.pl => rpcservice.pl}: update service
	generator helper script

2014-10-09  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/httpclient.cpp, demo/httprequest.cpp,
	include/cxxtools/http/client.h, include/cxxtools/http/reply.h,
	src/http/client.cpp, src/http/clientimpl.cpp,
	src/http/clientimpl.h, src/http/socket.cpp,
	src/xmlrpc/clientimpl.cpp, src/xmlrpc/clientimpl.h,
	src/xmlrpc/httpclientimpl.cpp, src/xmlrpc/httpclientimpl.h,
	src/xmlrpc/responder.cpp: improve http client: return http reply
	object in get and post methods to make accessing headers and others
	easier

2014-10-09  Tommi Mäkitalo <tommi@tntnet.org>

	* src/pipeimpl.cpp, src/tcpserver.cpp, src/tcpsocket.cpp: remove
	some unused includes

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/xml/xmldeserializer.h,
	include/cxxtools/xml/xmlformatter.h, src/connection.cpp,
	src/library.cpp, src/libraryimpl.h, src/tcpserver.cpp,
	src/tcpsocket.cpp, src/xml/xmldeserializer.cpp,
	src/xml/xmlformatter.cpp: remove use of std::auto_ptr

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/httpclient.cpp,
	include/cxxtools/net/addrinfo.h, src/http/client.cpp,
	src/http/clientimpl.h: improve http client: use username and
	password from uri; make AddrInfo comparable; add httpclient demo

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* test/serializer-bench.cpp: improve serialization benchmark: add
	flags to select different formats

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/query_params.h, src/query_params.cpp,
	test/query_params-test.cpp: improve cxxtools::QueryParams: add
	methods set and remove

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* .gitignore: update gitignore

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac: use c++ 11 mode of compiler if supported for better
	optimization

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/http/client.h, src/http/client.cpp,
	src/http/clientimpl.cpp, src/http/clientimpl.h: extend get method
	and new post method in http client class

2014-10-08  Tommi Mäkitalo <tommi@tntnet.org>

	* src/http/clientimpl.cpp: optimize reading http body in http client
	in sync mode

2014-09-28  Tommi Mäkitalo <tommi@tntnet.org>

	* src/connectable.cpp: another minor cleanup in connectable stuff

2014-09-28  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 1dd867a38ead22330732931be4741bc99cfcd21c Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Sep 28 19:20:25 2014 +0200

2014-09-18  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/httpclientimpl.cpp, src/json/httpservice.cpp: fix 2 more
	include regarding strncasecmp

2014-09-17  Tommi Mäkitalo <tommi@tntnet.org>

	* src/xmlrpc/httpclientimpl.cpp: fix include - strncasecmp is
	defined in strings.h, not in string.h

2014-08-28  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h, src/serializationinfo.cpp: 
	inline copy and assignment of SerializationInfo

2014-08-27  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/binserialization.txt, src/bin/formatter.cpp,
	src/bin/parser.cpp, test/binrpc-test.cpp, test/color.h,
	test/rpcbenchclient.cpp, test/rpcbenchserver.cpp: incompatible
	change in binary serialization format: save one byte for each member
	of a object

2014-08-27  Tommi Mäkitalo <tommi@tntnet.org>

	* src/iodeviceimpl.cpp: fix inifinite wait - was broken after
	replacing timeouts with cxxtools::Timespan

2014-08-26  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/formatter.cpp: another place, where streambuf should be
	used in binary serializer

2014-08-26  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/deserializer.cpp, src/bin/formatter.cpp: optimize binary
	serializer and deserializer: it is faster to read and write from
	streambuf instead of istream

2014-08-26  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: fix debug output

2014-08-26  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: reset format flags in logger when reusing
	ostringstream

2014-08-26  Tommi Mäkitalo <tommi@tntnet.org>

	* test/serializer-bench.cpp: minor code cleanup in serializer
	benchmark process

2014-08-24  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/binserialization.txt, include/cxxtools/bin/formatter.h,
	include/cxxtools/bin/parser.h, src/bin/formatter.cpp,
	src/bin/parser.cpp: optimization in binary format: add dictionary
	feature to shorten multiple occurencies of names or type names

2014-08-21  Tommi Mäkitalo <tommi@tntnet.org>

	* test/serializer-bench.cpp: fix serialization benchmark program;
	was broken after api change in deserializers

2014-08-18  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/csvdeserializer.h: fix
	cxxtools::CsvDeserializer::toObject; was broken after api change in
	deseriailzers

2014-08-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/deserializer.h,
	include/cxxtools/bin/parser.h, src/bin/deserializer.cpp,
	src/bin/parser.cpp, src/bin/responder.cpp: cleanup api of binary
	deserializer

2014-08-16  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/bin/deserializer.h,
	include/cxxtools/bin/{valueparser.h => parser.h},
	src/bin/Makefile.am, src/bin/deserializer.cpp,
	src/bin/{valueparser.cpp => parser.cpp}, src/bin/responder.cpp,
	src/bin/scanner.h: rename cxxtools::bin::ValueParser to
	cxxtools::bin::Parser.h

2014-08-16  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit d450a570b4865d6d059e45674456c1acee4857f1 Author: Jonas
	Platte <mail@jonasplatte.de> Date:   Fri Aug 15 23:31:23 2014 +0200

2014-03-15  Jonas Platte <jonasplatte@myopera.com>

	* include/cxxtools/pool.h: Code style update for pool.h

2014-03-11  Jonas Platte <jonasplatte@myopera.com>

	* src/filedeviceimpl.cpp, src/filedeviceimpl.h, src/fileimpl.cpp,
	src/http/messageheader.cpp, src/iconvstream.cpp, src/uri.cpp: Fixed
	some simple issues found by cppcheck

2014-03-10  Jonas Platte <mail@jonasplatte.de>

	* src/Makefile.am: Explicitly enabled subdir-objects option (to
	remove warnings)

2014-08-14  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/bin/deserializer.h,
	include/cxxtools/bin/valueparser.h, include/cxxtools/csv.h,
	include/cxxtools/csvdeserializer.h, include/cxxtools/csvparser.h,
	include/cxxtools/deserializer.h,
	include/cxxtools/deserializerbase.h,
	include/cxxtools/json/responder.h,
	include/cxxtools/jsondeserializer.h, include/cxxtools/jsonparser.h,
	include/cxxtools/propertiesdeserializer.h,
	include/cxxtools/propertiesparser.h, include/cxxtools/textbuffer.h,
	include/cxxtools/xml/xmldeserializer.h,
	include/cxxtools/xmlrpc/responder.h,
	include/cxxtools/xmlrpc/scanner.h, src/bin/deserializer.cpp,
	src/bin/responder.cpp, src/bin/responder.h,
	src/bin/rpcclientimpl.h, src/bin/scanner.cpp, src/bin/scanner.h,
	src/bin/valueparser.cpp, src/csvdeserializer.cpp,
	src/csvparser.cpp, src/deserializer.cpp,
	src/json/httpclientimpl.cpp, src/json/httpclientimpl.h,
	src/json/responder.cpp, src/json/responder.h,
	src/json/rpcclientimpl.cpp, src/json/rpcclientimpl.h,
	src/json/scanner.cpp, src/json/scanner.h, src/jsondeserializer.cpp,
	src/jsonparser.cpp, src/propertiesdeserializer.cpp,
	src/propertiesparser.cpp, src/xml/xmldeserializer.cpp,
	src/xmlrpc/clientimpl.h, src/xmlrpc/scanner.cpp,
	test/binserializer-test.cpp, test/csvdeserializer-test.cpp,
	test/json-test.cpp, test/properties-test.cpp,
	test/xmlserializer-test.cpp: refactor deserializers to ease writing
	e.g. non blocking network servers or clients

2014-08-05  Tommi Mäkitalo <tommi@tntnet.org>

	* test/serializer-bench.cpp: fix output of serializer-bench (unit is
	output from cxxtools::Timespan already)

2014-08-05  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, test/Makefile.am, {demo => test}/logbench.cpp: 
	move logbench from demo to test directory and configure logging in
	logbench using api instead of a configurationfile for better control

2014-08-04  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: fix race condition in logger

2014-08-01  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac, src/threadimpl.cpp: Thread::sleep improvement: use
	nanosleep when available for higher resolution and be aware that
	usleep is not able to sleep longer than one second

2014-07-31  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer.cpp, include/cxxtools/eventloop.h,
	include/cxxtools/selector.h: add some documentation in timer and
	selector classes

2014-07-31  Tommi Mäkitalo <tommi@tntnet.org>

	* test/serializer-bench.cpp: optimize serializer benchmark process
	by preallocating member names in serialization operators

2014-07-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/eventloop.h, include/cxxtools/selector.h,
	src/eventloop.cpp, src/selector.cpp, src/selectorimpl.cpp,
	src/selectorimpl.h: add waitUntil method to selector to get higher
	precision timer

2014-07-28  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h,
	test/serializationinfo-test.cpp: accept slightly larger values than
	fits into float or double in serialization to workaround range
	errors due to rounding errors

2014-07-27  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac: reorder configure.ac to remove autoconf warning

2014-07-27  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac, demo/timer.cpp, src/selectorimpl.cpp: use ppoll when
	available for waiting to get a more accurate timer

2014-07-27  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcserver.h, include/cxxtools/eventloop.h,
	include/cxxtools/filedevice.h, include/cxxtools/http/client.h,
	include/cxxtools/http/server.h, include/cxxtools/json/rpcserver.h,
	include/cxxtools/net/tcpserver.h, include/cxxtools/net/tcpsocket.h,
	include/cxxtools/selectable.h, include/cxxtools/selector.h,
	include/cxxtools/timespan.h, src/bin/rpcclientimpl.cpp,
	src/bin/rpcclientimpl.h, src/eventloop.cpp, src/filedevice.cpp,
	src/http/client.cpp, src/http/clientimpl.cpp,
	src/http/clientimpl.h, src/http/server.cpp,
	src/http/serverimplbase.h, src/iodeviceimpl.cpp,
	src/iodeviceimpl.h, src/json/httpclientimpl.cpp,
	src/json/httpclientimpl.h, src/json/rpcclientimpl.cpp,
	src/json/rpcclientimpl.h, src/pipeimpl.cpp, src/pipeimpl.h,
	src/selectableimpl.h, src/selector.cpp, src/selectorimpl.cpp,
	src/selectorimpl.h, src/tcpserver.cpp, src/tcpserverimpl.cpp,
	src/tcpserverimpl.h, src/tcpsocket.cpp, src/timespan.cpp,
	src/xmlrpc/clientimpl.h, test/timespan-test.cpp: change datatype for
	timeouts from size_t to cxxtools::Timespan

2014-07-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/event.h, src/eventloop.cpp: change
	cxxtools::Event::clone method to return a pointer instead of a
	reference

2014-07-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/selector.h: don't use cxxtools::NonCopyable in
	cxxtools::SelectorBase (I don't like cxxtools::NonCopyable any more)

2014-07-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h, src/clockimpl.cpp: optimize
	cxxtools::Clock::getSystemTime()

2014-07-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/event.h, include/cxxtools/eventloop.h,
	include/cxxtools/singleton.h, src/eventloop.cpp: remove allocator
	stuff from cxxtools::Event; cxxtools::Allocator was removed already

2014-07-21  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore: add timer binary to .gitignore

2014-07-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/selector.h, src/selector.cpp: fix timer (was
	broken on 64 bit systems)

2014-07-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/clock.h, src/clock.cpp, src/clockimpl.h: fix
	double free corruption when cxxtools::Clock is copied or assigned

2014-07-15  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/allocator.h: remove unused
	class cxxtools::Allocator

2014-07-14  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/deserializerbase.h,
	include/cxxtools/serializationinfo.h, src/deserializer.cpp,
	src/serializationinfo.cpp, src/settingsreader.cpp,
	src/settingsreader.h: remove parent attribute from serializationinfo

2014-07-11  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer.cpp: forgot to revert log level contants in
	demo/timer.cpp

2014-07-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h, src/log.cpp: make log level
	constants uppercase again since changing it changed the output
	format

2014-06-28  Tommi Mäkitalo <tommi@tntnet.org>

	* src/serializationinfo.cpp: optimize serialization of hierarchical
	structures by using swap when resizing subnodes vector

2014-05-30  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer.cpp, include/cxxtools/log/cxxtools.h, src/log.cpp: make
	log level constants (fatal, error, warn,...) lowercase since all
	uppercase is reserved for macros

2014-05-29  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcclientimpl.cpp, src/json/rpcclientimpl.cpp: 
	optimization of json and binary rpc clients

2014-05-29  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/remoteprocedure.h,
	include/cxxtools/remoteresult.h, test/binrpc-test.cpp,
	test/jsonrpc-test.cpp, test/jsonrpchttp-test.cpp,
	test/xmlrpc-test.cpp, test/xmlrpccallback-test.cpp: make result of
	rpc client call modifiable, so that it can be moved or swapped away

2014-05-29  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcclientimpl.cpp, src/json/responder.cpp,
	src/json/responder.h, src/json/rpcclientimpl.cpp,
	test/jsonrpc-test.cpp, test/jsonrpchttp-test.cpp: fix json rpc error
	reply

2014-05-28  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: not all platforms have a O_CLOEXEC flag for open(2)

2014-05-07  Tommi Mäkitalo <tommi@tntnet.org>

	* src/base64codec.cpp, test/base64-test.cpp: fix base64 encoder

2014-04-13  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcserver.cpp, test/rpcbenchserver.cpp: fix registering
	service with empty domain in binary rpc server

2014-04-13  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonformatter.cpp: optimization in copying preformatted json
	data in json serializer

2014-04-12  Tommi Mäkitalo <tommi@tntnet.org>

	* src/jsonformatter.cpp, test/jsonserializer-test.cpp: add feature
	to put preformatted json data into a object formatted by json
	serializer

2014-04-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/utf8.h: make conversion from utf-8 to unicode
	string cxxtools::String implicit in utf-8 helper

2014-04-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/utf8.h, test/utf8-test.cpp: 
	add easier interface to utf-8 conversions

2014-04-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h: add serialization and
	deserialization operators for cxxtools::Char (unicode char)

2014-03-21  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/responder.cpp, src/json/responder.h, src/json/socket.cpp: 
	fix error reporting in json rpc

2014-03-16  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: improve readability

2014-03-11  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpsocketimpl.cpp: add missing include for os without
	inet_ntop like haiku

2014-02-27  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit e54ad6981f5b057abce25deba3b03bb79c46cdfd Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Feb 23 10:28:10 2014 +0100

2014-02-19  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/json-howto.markdown, include/cxxtools/string.h: make type
	conversion explicit to reduce compiler warnings

2014-02-18  mikg0 <michael.gius@gmail.com>

	* doc/serialization-howto.markdown: Update
	serialization-howto.markdown Just some grammar fixes.

2014-02-17  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/csv-howto.markdown: change title of csv howto

2014-02-17  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/csv-howto.markdown: write csv howto

2014-02-16  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/csv-howto.markdown: start writing csv howto

2014-02-16  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 1fa0d97c2b12bf18edcc26e930e61a93b72f2caa Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Feb 16 22:05:51 2014 +0100

2014-02-07  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/netcat.cpp: fix netcat demo program: omitting ip switch -i
	must not lead to a crash

2014-02-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h, include/cxxtools/time.h,
	src/datetime.cpp, src/time.cpp, test/datetime-test.cpp,
	test/time-test.cpp: add format sepcifier 'k' for fixed 3 digit
	milliseconds to cxxtools::Time and cxxtools::Datetime

2014-01-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h, include/cxxtools/time.h,
	src/datetime.cpp, src/time.cpp: add %K format specifier to datetime
	and time parser as in formatter

2014-01-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/datetime.h, include/cxxtools/time.h,
	src/datetime.cpp, src/time.cpp, test/datetime-test.cpp,
	test/time-test.cpp: change format %J back to its original format and
	add %K for 3 digits milliseconds in time and datetime format

2014-01-30  Tommi Mäkitalo <tommi@tntnet.org>

	* src/datetime.cpp, src/time.cpp, test/datetime-test.cpp,
	test/time-test.cpp: change format %J in time and datetime to use
	always 3 digits

2014-01-21  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/json.h, include/cxxtools/serializationinfo.h,
	include/cxxtools/xml/xml.h: update documentation

2014-01-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h: improve documentation of
	cxxtools::Timespan

2014-01-04  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit e66b45df07ae1b8adaf0875c5651d7b1634e11d8 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Thu Jan 2 23:09:22 2014 +0100

2014-01-02  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h: fix typo in comment

2014-01-02  Tommi Mäkitalo <tommi@tntnet.org>

	* test/timespan-test.cpp: fix rounding problem in timespan unit test

2013-12-31  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h: add documentation to
	cxxtools::Timespan

2013-12-31  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcasyncaddclient.cpp, include/cxxtools/remoteprocedure.h: 
	use timespan in cxxtools::Remoteprocedure::end to specify timeout
	also

2013-12-31  Tommi Mäkitalo <tommi@tntnet.org>

	* test/timespan-test.cpp: fix timespan unittest

2013-12-31  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcechoclient.cpp, include/cxxtools/bin/rpcclient.h,
	include/cxxtools/eventloop.h, include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h, include/cxxtools/remoteclient.h,
	include/cxxtools/selectable.h, include/cxxtools/selector.h,
	include/cxxtools/timespan.h, include/cxxtools/xmlrpc/client.h,
	include/cxxtools/xmlrpc/httpclient.h, src/bin/rpcclient.cpp,
	src/json/httpclient.cpp, src/json/rpcclient.cpp,
	src/selectable.cpp, src/selector.cpp, src/timespan.cpp,
	src/xmlrpc/client.cpp, src/xmlrpc/httpclient.cpp: use
	cxxtools::Timespan to specify timeout in remote client and selector

2013-12-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/condition.h, include/cxxtools/thread.h,
	include/cxxtools/time.h, include/cxxtools/timer.h,
	include/cxxtools/timespan.h, src/condition.cpp, src/selector.cpp,
	src/thread.cpp, src/timer.cpp, src/timespan.cpp,
	test/datetime-test.cpp, test/serializer-bench.cpp,
	test/time-test.cpp, test/timespan-test.cpp: rework
	cxxtools::Timespan object and create WeakTimespan objects with
	implicit conversions

2013-12-23  Tommi Mäkitalo <tommi@tntnet.org>

	* src/conditionimpl.cpp: fix timeout handling of
	cxxtools::Condition::wait

2013-12-22  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h, test/timespan-test.cpp: add converter
	functions from cxxtools::Timespan to microseconds, milliseconds,
	seconds, minutes hours and days

2013-12-20  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/condition.h: add missing return in
	Condition::wait

2013-12-20  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/condition.h, include/cxxtools/timer.h,
	src/condition.cpp, src/conditionimpl.cpp, src/conditionimpl.h: use
	cxxtools::Timespan for specifiying timespans in timer and timed wait
	in condition

2013-12-14  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 142bb2589dc184709857c08c1e10570947c444e3 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sat Dec 14 15:12:24 2013 +0100

2013-12-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/thread.h, src/thread.cpp, src/threadimpl.cpp,
	src/threadimpl.h: use cxxtools::Timespan to specify the time to
	sleep in cxxtools::Thread::sleep

2013-12-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h, test/Makefile.am,
	test/timespan-test.cpp: add helper functions to make creating
	cxxtools::Timespan more easily and more readable

2013-11-29  Tommi Mäkitalo <tommi@tntnet.org>

	* README.git: update installation hints

2013-11-21  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 549d9f6a6943d908b47f5a318a8f4de5e498154a Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Thu Nov 21 15:38:56 2013 +0100

2013-11-13  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/jsonparser.h, src/jsonparser.cpp: fix memory leak
	in json deserializer

2013-11-05  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/binaryrpc-howto.markdown, doc/jsonrpc-howto.markdown,
	doc/xmlrpc-howto.markdown: fix some typos in rpc howto documents

2013-11-03  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 645dedf575da32198ac815655e5c6e5cd5cc4461 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Nov 3 20:59:41 2013 +0100

2013-10-31  Tommi Mäkitalo <tommi@tntnet.org>

	* src/http/messageheader.cpp: use memmove instead of memcpy when
	removing message header since the areas may overlap

2013-10-29  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/binaryrpc-howto.markdown, doc/jsonrpc-howto.markdown,
	doc/xmlrpc-howto.markdown: add documentation about exceptions and a
	simpler way to execute remote procedures asyncronously to binrpc
	howto and xmlrpc howto also

2013-10-28  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/jsonrpc-howto.markdown: add documentation about exceptions and
	a simpler way to execute remote procedures asyncronously into
	jsonrpc howto

2013-10-28  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer: remove generated file

2013-10-26  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h: rename log_define_impl to
	log_define_instance

2013-10-26  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/timer: remove generated file

2013-10-26  Tommi Mäkitalo <tommi@tntnet.org>

	* : Merge https://github.com/AndreasWelchlin/cxxtools

2013-10-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/timespan.h, src/timespan.cpp: add serialization
	operators to cxxtools::Timespan

2013-10-24  Andreas Welchlin <andreas@welchlin.de>

	* demo/timer, include/cxxtools/clock.h, src/clock.cpp,
	src/clockimpl.cpp, src/clockimpl.h: Minor changes in Clock

2013-10-23  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/timer.cpp, include/cxxtools/timer.h,
	src/timer.cpp: add optional selector parameter to constructor of
	cxxtools::Timer and add demo for timer

2013-10-23  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/time.h, include/cxxtools/timer.h,
	include/cxxtools/timespan.h, src/datetime.cpp, src/timer.cpp,
	test/datetime-test.cpp, test/time-test.cpp: extend cxxtools::Timer
	with fixed start time and one shot timers

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* test/binrpc-test.cpp, test/jsonrpc-test.cpp,
	test/jsonrpchttp-test.cpp, test/xmlrpc-test.cpp,
	test/xmlrpccallback-test.cpp: remove wrong log_trace statements

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* test/binrpc-test.cpp, test/jsonrpc-test.cpp,
	test/jsonrpchttp-test.cpp, test/xmlrpc-test.cpp: implement unittest
	for multiple parallel rpc calls

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/xmlrpc/httpclient.cpp: fix copy and assignment of xmlrpc
	client

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* test/jsonrpc-test.cpp, test/jsonrpchttp-test.cpp,
	test/xmlrpc-test.cpp: add tests for prepareConnect and connect
	methods to xmlrpc, jsonrpc and jsonhttprpc unit tests also

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* src/json/httpclient.cpp: add missing connect method to json rpc
	http client

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* test/binrpc-test.cpp: add tests for prepareConnect and connect
	functions to binary rpc unit test

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcclient.h, include/cxxtools/http/client.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h,
	include/cxxtools/xmlrpc/httpclient.h: add constructors just with a
	selector to http client and rpc clients

2013-10-19  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcclient.h, include/cxxtools/http/client.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h,
	include/cxxtools/xmlrpc/httpclient.h, src/bin/rpcclient.cpp,
	src/bin/rpcclientimpl.cpp, src/bin/rpcclientimpl.h,
	src/http/client.cpp, src/http/clientimpl.cpp,
	src/http/clientimpl.h, src/json/httpclient.cpp,
	src/json/httpclientimpl.h, src/json/rpcclient.cpp,
	src/json/rpcclientimpl.cpp, src/json/rpcclientimpl.h,
	src/xmlrpc/client.cpp, src/xmlrpc/httpclient.cpp,
	src/xmlrpc/httpclientimpl.cpp, src/xmlrpc/httpclientimpl.h: split
	connect method of rpc clients into prepareConnect and connect and
	delay instantation of impl classes

2013-10-12  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 3b6c92995064fdbd747f16364a7766bea570cb95 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Wed Oct 9 22:19:42 2013 +0200

2013-10-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcclient.h, src/bin/rpcclient.cpp: passing
	domain to rpc client was broken with the new realConnect parameter -
	fixed

2013-10-09  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/date.h, include/cxxtools/datetime.h,
	include/cxxtools/time.h, src/Makefile.am, src/date.cpp,
	src/datetime.cpp, src/dateutils.cpp, src/dateutils.h, src/time.cpp,
	test/Makefile.am, test/date-test.cpp, test/datetime-test.cpp,
	test/time-test.cpp: add conversion and formatting methods to Date,
	Time and DateTime classes

2013-10-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/csvdeserializer.h,
	include/cxxtools/jsondeserializer.h, src/csvdeserializer.cpp,
	src/jsondeserializer.cpp: generalize input stream of csv and json
	deserializer

2013-10-04  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/iso8859_15codec.h,
	include/cxxtools/iso8859_1codec.h, src/Makefile.am,
	src/iso8859_15codec.cpp, src/iso8859_1codec.cpp, test/Makefile.am,
	test/iso8859_1-test.cpp, test/iso8859_15-test.cpp: implement codecs
	for ISO-8859-1 and ISO-8859-15

2013-10-03  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/net/uri.h: add documentation for cxxtools::Uri

2013-10-03  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/asyncronousIO.md, doc/connection.md,
	include/cxxtools/http/client.h, src/http/client.cpp: add
	documentation for http client

2013-10-03  Tommi Mäkitalo <tommi@tntnet.org>

	* README, autogen.sh: autoscan.sh is obsolete - use "autoreconf -i"
	instead

2013-10-02  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/.gitignore, demo/Makefile.am, demo/rpcparallelecho.cpp: add
	new demo program for parallel rpc call using cxxtools::Selector

2013-10-02  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/quotedprintablestream.h,
	src/quotedprintablestream.cpp, test/Makefile.am,
	test/quotedprintable-test.cpp: fix quoted printable encoder, add
	unit test and comments

2013-10-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/bin/rpcclientimpl.cpp, src/bin/rpcclientimpl.h: timeout must
	be initialized in binary rpc client

2013-09-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/remoteresult.h: make cxxtools::RemoteResult
	copyable which maks RemoteProcedure copyable

2013-09-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcclient.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h,
	include/cxxtools/xmlrpc/httpclient.h, src/bin/rpcclient.cpp,
	src/json/httpclient.cpp, src/json/rpcclient.cpp,
	src/xmlrpc/httpclient.cpp: reference must be const in copy
	constructor of rpc client classes

2013-09-30  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcechoclient.cpp: fix typo in comment

2013-09-30  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcclient.h, include/cxxtools/http/client.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h,
	include/cxxtools/xmlrpc/httpclient.h, src/bin/rpcclient.cpp,
	src/bin/rpcclientimpl.cpp, src/bin/rpcclientimpl.h,
	src/http/client.cpp, src/http/clientimpl.cpp,
	src/http/clientimpl.h, src/json/httpclient.cpp,
	src/json/httpclientimpl.h, src/json/rpcclient.cpp,
	src/json/rpcclientimpl.cpp, src/json/rpcclientimpl.h,
	src/xmlrpc/httpclient.cpp, src/xmlrpc/httpclientimpl.h: add
	realConnect parameter to connect methods in http and rpc client
	classes

2013-09-29  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcechoclient.cpp, include/cxxtools/bin/rpcclient.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h, include/cxxtools/remoteclient.h,
	include/cxxtools/xmlrpc/client.h, src/bin/rpcclient.cpp,
	src/bin/rpcclientimpl.cpp, src/bin/rpcclientimpl.h,
	src/json/httpclient.cpp, src/json/httpclientimpl.cpp,
	src/json/httpclientimpl.h, src/json/rpcclient.cpp,
	src/json/rpcclientimpl.cpp, src/json/rpcclientimpl.h,
	src/xmlrpc/client.cpp, src/xmlrpc/clientimpl.cpp,
	src/xmlrpc/clientimpl.h, src/xmlrpc/httpclientimpl.cpp: add timeout
	and connect timeout to remote client class

2013-09-29  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/http/client.h, src/http/client.cpp,
	src/http/clientimpl.cpp, src/http/clientimpl.h: implement separate
	connectTimeout in http client

2013-09-29  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcaddclient.cpp: formatting fix

2013-09-18  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 470ab6511c745ecd9cf5a22f901f18754cfac686 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Sep 15 22:59:54 2013 +0200

2013-09-15  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/binaryrpc-howto.markdown, doc/jsonrpc-howto.markdown,
	doc/xmlrpc-howto.markdown: new howtos: binaryrpc, jsonrpc, xmlrpc

2013-09-13  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/jsonquick-howto.markdown, doc/propertiesquick-howto.markdown: 
	add properties quick howto

2013-09-13  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/jsonquick-howto.markdown: new jsonquick-howto

2013-09-11  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 02827b6ea0a631a1617c72782141092f8406d522 Merge: b9981af
	18c8021 Author: Tommi MÃ¤kitalo <tommi@tntnet.org> Date:   Tue Sep
	10 15:21:18 2013 +0200

2013-09-10  Tommi Mäkitalo <tommi@tntnet.org>

	* src/utf8codec.cpp, test/Makefile.am, test/utf8-test.cpp: process
	byte order mark in utf-8 codec

2013-09-08  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 72fe0b1fc2b355525c90bee6c2f3c686fd77325f Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Sun Sep 8 14:29:35 2013 +0200

2013-09-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/serializer.h, include/cxxtools/csv.h,
	include/cxxtools/json.h, include/cxxtools/jsonserializer.h,
	include/cxxtools/properties.h, include/cxxtools/xml/xml.h,
	include/cxxtools/xml/xmlserializer.h: minor changes in serializer
	classes

2013-09-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/refcounted.h, include/cxxtools/signal.h: make
	cxxtools::RefCounted and cxxtools::AtomicRefCounted copyable

2013-09-08  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: set typename in serialization operator of log
	configuration

2013-09-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/json.h, include/cxxtools/xml/xml.h: add beautify
	flag to cxxtools::Json and cxxtools::xml::Xml serialization helper

2013-09-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h, src/log.cpp: add serialization
	operator for log configuration

2013-09-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/serializationinfo.h: set empty string as default
	for member name of SeriailzationInfo

2013-09-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/json.h: fix json serialization example in comment

2013-09-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/bin/rpcclient.h, include/cxxtools/composer.h,
	include/cxxtools/decomposer.h, include/cxxtools/http/client.h,
	include/cxxtools/json/httpclient.h,
	include/cxxtools/json/rpcclient.h,
	include/cxxtools/xmlrpc/client.h,
	include/cxxtools/xmlrpc/httpclient.h, src/bin/rpcclient.cpp,
	src/bin/rpcclientimpl.h, src/http/client.cpp,
	src/http/clientimpl.h, src/json/httpclient.cpp,
	src/json/httpclientimpl.h, src/json/rpcclient.cpp,
	src/json/rpcclientimpl.h, src/xmlrpc/httpclient.cpp,
	src/xmlrpc/httpclientimpl.h: make cxxtools::RemoteClient and derived
	and cxxtools::RemoteProcedure copyable

2013-09-01  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/log/cxxtools.h, src/log.cpp: man log
	configuration easily settable to create a api for setting log
	configuration and allow resetting log configuration multiple times

2013-09-01  Tommi Mäkitalo <tommi@tntnet.org>

	* src/http/parser.cpp: do not allow zero char in url of http request

2013-08-29  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit a614c6e13a839625a7d9b4145aeee53a2cef96e7 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Thu Aug 29 22:08:34 2013 +0200

2013-08-17  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/rpcserver.cpp, include/Makefile.am,
	include/cxxtools/posix/daemonize.h, src/Makefile.am,
	src/daemonize.cpp: new function cxxtools::posix::daemonize to send
	the current process to the background

2013-08-10  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/regex.h, src/regex.cpp, test/regex-test.cpp: add
	subst method to cxxtools::Regex for substituting regular expressions
	with something

2013-07-28  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/split.h: fix typo in comment

2013-07-17  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/arg.h, include/cxxtools/split.h: 2 minor fixes in
	api documentation

2013-07-11  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/json-howto.markdown: fix wrong include in example in json
	howto document

2013-07-10  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.ac: disable static build by default and other small
	cleanups in the build system

2013-07-09  Tommi Mäkitalo <tommi@tntnet.org>

	* README, configure.in => configure.ac: update build; autoconf wants
	configure.ac instead of configure.in

2013-07-08  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/jsonparser.h, src/jsonparser.cpp: report line
	number in exception when parsing json

2013-07-07  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/arg.h, include/cxxtools/byteorder.h,
	include/cxxtools/char.h, include/cxxtools/dlloader.h,
	include/cxxtools/selector.h: revise doxygen comments

2013-07-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am: put allocator also back into Makefile.am

2013-07-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/allocator.h: should not have deleted the
	allocator - it is used

2013-07-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/char.h, include/cxxtools/jsondeserializer.h,
	include/cxxtools/remoteprocedure.h,
	include/cxxtools/serviceprocedure.h,
	include/cxxtools/unit/testmethod.h: cleanup doxygen documentation

2013-07-06  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/allocator.h: remove
	allocator class

2013-07-05  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesparser.cpp, test/properties-test.cpp: allow just
	keys in property files, which defines a empty value

2013-07-05  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/propertiesparser.h, src/propertiesparser.cpp,
	test/properties-test.cpp: extend properties parser:  * allow all non white space characters in the key  * accept ':' as separator between key and value  * accept just white space as separator between key and value  * a backspace as the last character in a line will continue the
	 value and ignore leading white space

2013-07-04  Tommi Mäkitalo <tommi@tntnet.org>

	* src/propertiesparser.cpp: allow minus sign in keys of property
	files

2013-06-27  Tommi Mäkitalo <tommi@tntnet.org>

	* : Merge /run/media/tommi/FC30-3DA9/cxxtools

2013-06-26  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/Makefile.am, demo/README, demo/deserialization.cpp,
	demo/serialization.cpp: add serialization and deserialization demo
	program

2013-06-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/Makefile.am, include/cxxtools/properties.h,
	include/cxxtools/propertiesfile.h,
	include/cxxtools/propertiesparser.h, src/Makefile.am,
	src/propertiesdeserializer.cpp, src/propertiesfile.cpp,
	src/propertiesparser.cpp, test/properties-test.cpp: add helper
	function cxxtools::Properties for easy reading of properties files
	from istream rename old cxxtools::Properties to
	cxxtools::PropertiesFile

2013-06-24  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/csv.h, include/cxxtools/json.h,
	include/cxxtools/xml/xml.h, test/csvdeserializer-test.cpp,
	test/csvserializer-test.cpp: add istream operator for csv, json and
	xml deserialization helpers

2013-06-22  Tommi Mäkitalo <tommi@tntnet.org>

	* demo/json.cpp, include/Makefile.am, include/cxxtools/csv.h,
	include/cxxtools/json.h, include/cxxtools/xml/xml.h: add helper
	classes which makes it easier to write json, csv or xml data to a
	output stream

2013-06-21  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/rpc-howto.markdown: remove utf-8 byte order mark from rpc to
	fix ordering

2013-06-20  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.in, src/fileimpl.cpp: improve test for sendfile so that
	mac osx fails as it should since it has a different interface

2013-06-15  Tommi Mäkitalo <tommi@tntnet.org>

	* src/iconvstream.cpp: add missing return statement

2013-06-14  Tommi Mäkitalo <tommi@tntnet.org>

	* configure.in, include/cxxtools/file.h,
	include/cxxtools/fileinfo.h, src/file.cpp, src/fileimpl.cpp,
	src/fileimpl.h, src/fileinfo.cpp, src/fileinfoimpl.h,
	test/Makefile.am, test/file-test.cpp: implement
	cxxtools::File::copy, fixes to cxxtools::File and implement
	unittests

2013-06-14  Tommi Mäkitalo <tommi@tntnet.org>

	* .gitignore: add vim swp files to gitignore

2013-06-02  Tommi Mäkitalo <tommi@tntnet.org>

	* src/tcpserverimpl.cpp, src/tcpsocketimpl.cpp, src/tcpsocketimpl.h: 
	fix formatting IPv6 addresses when converting to string

2013-06-02  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/json-howto.markdown: new json howto document

2013-06-02  Tommi Mäkitalo <tommi@tntnet.org>

	* : Merge https://github.com/OlafRadicke/cxxtools

2013-06-02  Tommi Mäkitalo <tommi@tntnet.org>

	* include/cxxtools/cache.h: allow changing value in cache in put
	method

2013-06-01  Olaf Radicke <briefkasten@olaf-radicke.de>

	* include/cxxtools/jsondeserializer.h,
	include/cxxtools/jsonserializer.h: I add the very helpful example
	from Tommi as Doxygen commt.

2013-05-14  Olaf Radicke <radicke@atix.de>

	* : Merge https://github.com/maekitalo/cxxtools

2013-05-11  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: use raw file I/O instead of fstream in logger to
	improve performance and set O_CLOEXEC (prevent inheritage of log
	file to child process)

2013-05-10  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/argument-parsing-howto.markdown, doc/logging-howto.markdown,
	doc/rpc-howto.markdown: fix spelling

2013-05-10  Tommi Mäkitalo <tommi@tntnet.org>

	* : commit 7f195300e07dfd82dc81a8835ea02e27435769bc Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Fri May 10 00:12:48 2013 +0200

2013-05-09  Tommi Maekitalo <maektom@localhost.localdomain>

	* src/log.cpp: fix formatting of source

2013-05-09  Tommi Mäkitalo <tommi@tntnet.org>

	* : remove old document

2013-05-10  Tommi Mäkitalo <tommi@tntnet.org>

	* doc/argument-parsing-howto.markdown, doc/logging-howto.markdown: 
	add 2 new howtos

2013-05-09  Tommi Mäkitalo <tommi@tntnet.org>

	* src/log.cpp: fix formatting of source

2013-05-09  Tommi Maekitalo <maektom@localhost.localdomain>

	* : commit 406d795659ccf2a405e8862455bd0450c865be05 Author: Tommi
	MÃ¤kitalo <tommi@tntnet.org> Date:   Wed May 8 23:43:32 2013 +0200

2013-05-08  Olaf Radicke <briefkasten@olaf-radicke.de>

	* : Merge pull request #1 from maekitalo/master Aktualisierung

2013-05-07  Tommi Maekitalo <maektom@localhost.localdomain>

	* cxxtools/AUTHORS => AUTHORS, cxxtools/COPYING => COPYING,
	cxxtools/ChangeLog => ChangeLog, cxxtools/Makefile.am =>
	Makefile.am, cxxtools/NEWS => NEWS, cxxtools/README => README,
	cxxtools/autogen.sh => autogen.sh, cxxtools/configure.in =>
	configure.in, cxxtools/cxxtools-config.in => cxxtools-config.in,
	cxxtools/cxxtools.spec => cxxtools.spec, {cxxtools/demo =>
	demo}/Makefile.am, {cxxtools/demo => demo}/README, {cxxtools/demo
	=> demo}/arg-set.cpp, {cxxtools/demo => demo}/arg.cpp,
	{cxxtools/demo => demo}/cgi.cpp, {cxxtools/demo =>
	demo}/cxxlog.cpp, {cxxtools/demo => demo}/dir.cpp, {cxxtools/demo
	=> demo}/dlloader.cpp, {cxxtools/demo => demo}/execLs.cpp,
	{cxxtools/demo => demo}/getini.cpp, {cxxtools/demo => demo}/hd.cpp,
	{cxxtools/demo => demo}/httprequest.cpp, {cxxtools/demo =>
	demo}/httpserver.cpp, {cxxtools/demo => demo}/iconv.cpp,
	{cxxtools/demo => demo}/json.cpp, {cxxtools/demo => demo}/log.cpp,
	{cxxtools/demo => demo}/log4cplus.properties, {cxxtools/demo =>
	demo}/log4j.properties, {cxxtools/demo => demo}/logbench.cpp,
	{cxxtools/demo => demo}/logsh.cpp, {cxxtools/demo =>
	demo}/md5sum.cpp, {cxxtools/demo => demo}/mime.cpp, {cxxtools/demo
	=> demo}/multifstream.cpp, {cxxtools/demo => demo}/netcat.cpp,
	{cxxtools/demo => demo}/netio.cpp, {cxxtools/demo =>
	demo}/netmsg.cpp, {cxxtools/demo => demo}/pipestream.cpp,
	{cxxtools/demo => demo}/pool.cpp, {cxxtools/demo =>
	demo}/regex.cpp, {cxxtools/demo => demo}/rpcaddclient.cpp,
	{cxxtools/demo => demo}/rpcasyncaddclient.cpp, {cxxtools/demo =>
	demo}/rpcechoclient.cpp, {cxxtools/demo => demo}/rpcserver.cpp,
	{cxxtools/demo => demo}/run_log, {cxxtools/demo =>
	demo}/signals.cpp, {cxxtools/demo => demo}/splitter.cpp,
	{cxxtools/demo => demo}/thread.cpp, {cxxtools/demo =>
	demo}/threadpool.cpp, {cxxtools/demo => demo}/uuencode.cpp,
	{cxxtools/doc => doc}/Doxyfile, {cxxtools/doc =>
	doc}/binserialization.txt, {cxxtools/doc =>
	doc}/rpc-howto.markdown, {cxxtools/include => include}/Makefile.am,
	{cxxtools/include => include}/cxxtools/allocator.h,
	{cxxtools/include => include}/cxxtools/api.h, {cxxtools/include =>
	include}/cxxtools/application.h, {cxxtools/include =>
	include}/cxxtools/arg.h, {cxxtools/include =>
	include}/cxxtools/argin.h, {cxxtools/include =>
	include}/cxxtools/argout.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.arm.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.avr32.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.mips.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.ppc.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.sparc32.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.sparc64.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.x86.h, {cxxtools/include =>
	include}/cxxtools/atomicity.gcc.x86_64.h, {cxxtools/include =>
	include}/cxxtools/atomicity.generic.h, {cxxtools/include =>
	include}/cxxtools/atomicity.h, {cxxtools/include =>
	include}/cxxtools/atomicity.pthread.h, {cxxtools/include =>
	include}/cxxtools/atomicity.sun.h, {cxxtools/include =>
	include}/cxxtools/atomicity.windows.h, {cxxtools/include =>
	include}/cxxtools/base64codec.h, {cxxtools/include =>
	include}/cxxtools/base64stream.h, {cxxtools/include =>
	include}/cxxtools/bin/deserializer.h, {cxxtools/include =>
	include}/cxxtools/bin/formatter.h, {cxxtools/include =>
	include}/cxxtools/bin/rpcclient.h, {cxxtools/include =>
	include}/cxxtools/bin/rpcserver.h, {cxxtools/include =>
	include}/cxxtools/bin/serializer.h, {cxxtools/include =>
	include}/cxxtools/bin/valueparser.h, {cxxtools/include =>
	include}/cxxtools/byteorder.h, {cxxtools/include =>
	include}/cxxtools/cache.h, {cxxtools/include =>
	include}/cxxtools/callable.h, {cxxtools/include =>
	include}/cxxtools/callable.tpp, {cxxtools/include =>
	include}/cxxtools/cgi.h, {cxxtools/include =>
	include}/cxxtools/char.h, {cxxtools/include =>
	include}/cxxtools/clock.h, {cxxtools/include =>
	include}/cxxtools/composer.h, {cxxtools/include =>
	include}/cxxtools/condition.h, {cxxtools/include =>
	include}/cxxtools/config.h.in, {cxxtools/include =>
	include}/cxxtools/connectable.h, {cxxtools/include =>
	include}/cxxtools/connection.h, {cxxtools/include =>
	include}/cxxtools/constmethod.h, {cxxtools/include =>
	include}/cxxtools/constmethod.tpp, {cxxtools/include =>
	include}/cxxtools/conversionerror.h, {cxxtools/include =>
	include}/cxxtools/convert.h, {cxxtools/include =>
	include}/cxxtools/csvdeserializer.h, {cxxtools/include =>
	include}/cxxtools/csvformatter.h, {cxxtools/include =>
	include}/cxxtools/csvparser.h, {cxxtools/include =>
	include}/cxxtools/csvserializer.h, {cxxtools/include =>
	include}/cxxtools/date.h, {cxxtools/include =>
	include}/cxxtools/datetime.h, {cxxtools/include =>
	include}/cxxtools/decomposer.h, {cxxtools/include =>
	include}/cxxtools/delegate.h, {cxxtools/include =>
	include}/cxxtools/delegate.tpp, {cxxtools/include =>
	include}/cxxtools/deserializer.h, {cxxtools/include =>
	include}/cxxtools/deserializerbase.h, {cxxtools/include =>
	include}/cxxtools/dir.h, {cxxtools/include =>
	include}/cxxtools/directory.h, {cxxtools/include =>
	include}/cxxtools/dlloader.h, {cxxtools/include =>
	include}/cxxtools/doxygen.cfg, {cxxtools/include =>
	include}/cxxtools/event.h, {cxxtools/include =>
	include}/cxxtools/eventloop.h, {cxxtools/include =>
	include}/cxxtools/eventsink.h, {cxxtools/include =>
	include}/cxxtools/eventsource.h, {cxxtools/include =>
	include}/cxxtools/facets.h, {cxxtools/include =>
	include}/cxxtools/fdstream.h, {cxxtools/include =>
	include}/cxxtools/file.h, {cxxtools/include =>
	include}/cxxtools/filedevice.h, {cxxtools/include =>
	include}/cxxtools/fileinfo.h, {cxxtools/include =>
	include}/cxxtools/formatter.h, {cxxtools/include =>
	include}/cxxtools/function.h, {cxxtools/include =>
	include}/cxxtools/function.tpp, {cxxtools/include =>
	include}/cxxtools/hdstream.h, {cxxtools/include =>
	include}/cxxtools/hmac.h, {cxxtools/include =>
	include}/cxxtools/http/api.h, {cxxtools/include =>
	include}/cxxtools/http/client.h, {cxxtools/include =>
	include}/cxxtools/http/messageheader.h, {cxxtools/include =>
	include}/cxxtools/http/reply.h, {cxxtools/include =>
	include}/cxxtools/http/replyheader.h, {cxxtools/include =>
	include}/cxxtools/http/request.h, {cxxtools/include =>
	include}/cxxtools/http/requestheader.h, {cxxtools/include =>
	include}/cxxtools/http/responder.h, {cxxtools/include =>
	include}/cxxtools/http/server.h, {cxxtools/include =>
	include}/cxxtools/http/service.h, {cxxtools/include =>
	include}/cxxtools/iconverter.h, {cxxtools/include =>
	include}/cxxtools/iconvstream.h, {cxxtools/include =>
	include}/cxxtools/iconvwrap.h, {cxxtools/include =>
	include}/cxxtools/inifile.h, {cxxtools/include =>
	include}/cxxtools/iniparser.h, {cxxtools/include =>
	include}/cxxtools/invokable.h, {cxxtools/include =>
	include}/cxxtools/invokable.tpp, {cxxtools/include =>
	include}/cxxtools/iodevice.h, {cxxtools/include =>
	include}/cxxtools/ioerror.h, {cxxtools/include =>
	include}/cxxtools/iostream.h, {cxxtools/include =>
	include}/cxxtools/join.h, {cxxtools/include =>
	include}/cxxtools/json/httpclient.h, {cxxtools/include =>
	include}/cxxtools/json/httpservice.h, {cxxtools/include =>
	include}/cxxtools/json/request.h, {cxxtools/include =>
	include}/cxxtools/json/responder.h, {cxxtools/include =>
	include}/cxxtools/json/rpcclient.h, {cxxtools/include =>
	include}/cxxtools/json/rpcserver.h, {cxxtools/include =>
	include}/cxxtools/jsondeserializer.h, {cxxtools/include =>
	include}/cxxtools/jsonformatter.h, {cxxtools/include =>
	include}/cxxtools/jsonparser.h, {cxxtools/include =>
	include}/cxxtools/jsonserializer.h, {cxxtools/include =>
	include}/cxxtools/library.h, {cxxtools/include =>
	include}/cxxtools/log.h, {cxxtools/include =>
	include}/cxxtools/log/cxxtools.h, {cxxtools/include =>
	include}/cxxtools/loginit.h, {cxxtools/include =>
	include}/cxxtools/lrucache.h, {cxxtools/include =>
	include}/cxxtools/main.h, {cxxtools/include =>
	include}/cxxtools/md5.h, {cxxtools/include =>
	include}/cxxtools/md5stream.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.arm.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.mips.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.nosmp.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.ppc.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.sparc32.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.sparc64.h, {cxxtools/include =>
	include}/cxxtools/membar.gcc.x86.h, {cxxtools/include =>
	include}/cxxtools/membar.h, {cxxtools/include =>
	include}/cxxtools/membar.sun.h, {cxxtools/include =>
	include}/cxxtools/membar.windows.h, {cxxtools/include =>
	include}/cxxtools/method.h, {cxxtools/include =>
	include}/cxxtools/method.tpp, {cxxtools/include =>
	include}/cxxtools/mime.h, {cxxtools/include =>
	include}/cxxtools/multifstream.h, {cxxtools/include =>
	include}/cxxtools/mutex.h, {cxxtools/include =>
	include}/cxxtools/net/addrinfo.h, {cxxtools/include =>
	include}/cxxtools/net/net.h, {cxxtools/include =>
	include}/cxxtools/net/tcpserver.h, {cxxtools/include =>
	include}/cxxtools/net/tcpsocket.h, {cxxtools/include =>
	include}/cxxtools/net/tcpstream.h, {cxxtools/include =>
	include}/cxxtools/net/udp.h, {cxxtools/include =>
	include}/cxxtools/net/udpstream.h, {cxxtools/include =>
	include}/cxxtools/net/uri.h, {cxxtools/include =>
	include}/cxxtools/noncopyable.h, {cxxtools/include =>
	include}/cxxtools/pipe.h, {cxxtools/include =>
	include}/cxxtools/pool.h, {cxxtools/include =>
	include}/cxxtools/posix/commandinput.h, {cxxtools/include =>
	include}/cxxtools/posix/commandoutput.h, {cxxtools/include =>
	include}/cxxtools/posix/exec.h, {cxxtools/include =>
	include}/cxxtools/posix/fork.h, {cxxtools/include =>
	include}/cxxtools/posix/pipe.h, {cxxtools/include =>
	include}/cxxtools/posix/pipestream.h, {cxxtools/include =>
	include}/cxxtools/properties.h, {cxxtools/include =>
	include}/cxxtools/propertiesdeserializer.h, {cxxtools/include =>
	include}/cxxtools/query_params.h, {cxxtools/include =>
	include}/cxxtools/queue.h, {cxxtools/include =>
	include}/cxxtools/quotedprintablestream.h, {cxxtools/include =>
	include}/cxxtools/refcounted.h, {cxxtools/include =>
	include}/cxxtools/regex.h, {cxxtools/include =>
	include}/cxxtools/remoteclient.h, {cxxtools/include =>
	include}/cxxtools/remoteexception.h, {cxxtools/include =>
	include}/cxxtools/remoteprocedure.h, {cxxtools/include =>
	include}/cxxtools/remoteresult.h, {cxxtools/include =>
	include}/cxxtools/selectable.h, {cxxtools/include =>
	include}/cxxtools/selector.h, {cxxtools/include =>
	include}/cxxtools/semaphore.h, {cxxtools/include =>
	include}/cxxtools/serializationerror.h, {cxxtools/include =>
	include}/cxxtools/serializationinfo.h, {cxxtools/include =>
	include}/cxxtools/serviceprocedure.h, {cxxtools/include =>
	include}/cxxtools/serviceregistry.h, {cxxtools/include =>
	include}/cxxtools/settings.h, {cxxtools/include =>
	include}/cxxtools/signal.h, {cxxtools/include =>
	include}/cxxtools/signal.tpp, {cxxtools/include =>
	include}/cxxtools/singleton.h, {cxxtools/include =>
	include}/cxxtools/slot.h, {cxxtools/include =>
	include}/cxxtools/slot.tpp, {cxxtools/include =>
	include}/cxxtools/smartptr.h, {cxxtools/include =>
	include}/cxxtools/sourceinfo.h, {cxxtools/include =>
	include}/cxxtools/split.h, {cxxtools/include =>
	include}/cxxtools/streambuffer.h, {cxxtools/include =>
	include}/cxxtools/streamcounter.h, {cxxtools/include =>
	include}/cxxtools/string.h, {cxxtools/include =>
	include}/cxxtools/string.tpp, {cxxtools/include =>
	include}/cxxtools/stringstream.h, {cxxtools/include =>
	include}/cxxtools/systemerror.h, {cxxtools/include =>
	include}/cxxtools/tee.h, {cxxtools/include =>
	include}/cxxtools/textbuffer.h, {cxxtools/include =>
	include}/cxxtools/textcodec.h, {cxxtools/include =>
	include}/cxxtools/textstream.h, {cxxtools/include =>
	include}/cxxtools/thread.h, {cxxtools/include =>
	include}/cxxtools/threadpool.h, {cxxtools/include =>
	include}/cxxtools/time.h, {cxxtools/include =>
	include}/cxxtools/timer.h, {cxxtools/include =>
	include}/cxxtools/timespan.h, {cxxtools/include =>
	include}/cxxtools/trim.h, {cxxtools/include =>
	include}/cxxtools/typetraits.h, {cxxtools/include =>
	include}/cxxtools/unit/application.h, {cxxtools/include =>
	include}/cxxtools/unit/assertion.h, {cxxtools/include =>
	include}/cxxtools/unit/registertest.h, {cxxtools/include =>
	include}/cxxtools/unit/reporter.h, {cxxtools/include =>
	include}/cxxtools/unit/test.h, {cxxtools/include =>
	include}/cxxtools/unit/testcase.h, {cxxtools/include =>
	include}/cxxtools/unit/testcontext.h, {cxxtools/include =>
	include}/cxxtools/unit/testfixture.h, {cxxtools/include =>
	include}/cxxtools/unit/testmain.h, {cxxtools/include =>
	include}/cxxtools/unit/testmethod.h, {cxxtools/include =>
	include}/cxxtools/unit/testprotocol.h, {cxxtools/include =>
	include}/cxxtools/unit/testsuite.h, {cxxtools/include =>
	include}/cxxtools/utf8codec.h, {cxxtools/include =>
	include}/cxxtools/uuencode.h, {cxxtools/include =>
	include}/cxxtools/void.h, {cxxtools/include =>
	include}/cxxtools/xml/api.h, {cxxtools/include =>
	include}/cxxtools/xml/characters.h, {cxxtools/include =>
	include}/cxxtools/xml/comment.h, {cxxtools/include =>
	include}/cxxtools/xml/doctypedeclaration.h, {cxxtools/include =>
	include}/cxxtools/xml/enddocument.h, {cxxtools/include =>
	include}/cxxtools/xml/endelement.h, {cxxtools/include =>
	include}/cxxtools/xml/entityresolver.h, {cxxtools/include =>
	include}/cxxtools/xml/namespace.h, {cxxtools/include =>
	include}/cxxtools/xml/namespacecontext.h, {cxxtools/include =>
	include}/cxxtools/xml/node.h, {cxxtools/include =>
	include}/cxxtools/xml/processinginstruction.h, {cxxtools/include =>
	include}/cxxtools/xml/startelement.h, {cxxtools/include =>
	include}/cxxtools/xml/xmldeserializer.h, {cxxtools/include =>
	include}/cxxtools/xml/xmlerror.h, {cxxtools/include =>
	include}/cxxtools/xml/xmlformatter.h, {cxxtools/include =>
	include}/cxxtools/xml/xmlreader.h, {cxxtools/include =>
	include}/cxxtools/xml/xmlserializer.h, {cxxtools/include =>
	include}/cxxtools/xml/xmlwriter.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/api.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/client.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/errorcodes.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/formatter.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/httpclient.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/responder.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/scanner.h, {cxxtools/include =>
	include}/cxxtools/xmlrpc/service.h, {cxxtools/include =>
	include}/cxxtools/xmltag.h, cxxtools/lgpl++.txt => lgpl++.txt,
	{cxxtools/m4 => m4}/acx_pthread.m4, {cxxtools/m4 => m4}/asmtype.m4,
	{cxxtools/m4 => m4}/ax_check_compile_flag.m4, {cxxtools/m4 =>
	m4}/ax_compiler_vendor.m4, {cxxtools/m4 => m4}/iconv.m4,
	{cxxtools/pkgconfig => pkgconfig}/cxxtools-bin.pc.in,
	{cxxtools/pkgconfig => pkgconfig}/cxxtools-http.pc.in,
	{cxxtools/pkgconfig => pkgconfig}/cxxtools-json.pc.in,
	{cxxtools/pkgconfig => pkgconfig}/cxxtools-unit.pc.in,
	{cxxtools/pkgconfig => pkgconfig}/cxxtools-xmlrpc.pc.in,
	{cxxtools/pkgconfig => pkgconfig}/cxxtools.pc.in, {cxxtools/src =>
	src}/Makefile.am, {cxxtools/src => src}/Makefile.mingw,
	{cxxtools/src => src}/Makefile.win32, {cxxtools/src =>
	src}/addrinfo.cpp, {cxxtools/src => src}/addrinfoimpl.cpp,
	{cxxtools/src => src}/addrinfoimpl.h, {cxxtools/src =>
	src}/application.cpp, {cxxtools/src => src}/applicationimpl.cpp,
	{cxxtools/src => src}/applicationimpl.h, {cxxtools/src =>
	src}/atomicity.cpp, {cxxtools/src => src}/atomicity.gcc.arm.cpp,
	{cxxtools/src => src}/atomicity.gcc.avr32.cpp, {cxxtools/src =>
	src}/atomicity.gcc.mips.cpp, {cxxtools/src =>
	src}/atomicity.gcc.ppc.cpp, {cxxtools/src =>
	src}/atomicity.gcc.sparc32.cpp, {cxxtools/src =>
	src}/atomicity.gcc.sparc64.cpp, {cxxtools/src =>
	src}/atomicity.gcc.x86.cpp, {cxxtools/src =>
	src}/atomicity.gcc.x86_64.cpp, {cxxtools/src =>
	src}/atomicity.generic.cpp, {cxxtools/src =>
	src}/atomicity.pthread.cpp, {cxxtools/src =>
	src}/atomicity.sun.cpp, {cxxtools/src =>
	src}/atomicity.windows.cpp, {cxxtools/src => src}/base64codec.cpp,
	{cxxtools/src => src}/bin/Makefile.am, {cxxtools/src =>
	src}/bin/deserializer.cpp, {cxxtools/src => src}/bin/formatter.cpp,
	{cxxtools/src => src}/bin/responder.cpp, {cxxtools/src =>
	src}/bin/responder.h, {cxxtools/src => src}/bin/rpcclient.cpp,
	{cxxtools/src => src}/bin/rpcclientimpl.cpp, {cxxtools/src =>
	src}/bin/rpcclientimpl.h, {cxxtools/src => src}/bin/rpcserver.cpp,
	{cxxtools/src => src}/bin/rpcserverimpl.cpp, {cxxtools/src =>
	src}/bin/rpcserverimpl.h, {cxxtools/src => src}/bin/scanner.cpp,
	{cxxtools/src => src}/bin/scanner.h, {cxxtools/src =>
	src}/bin/socket.cpp, {cxxtools/src => src}/bin/socket.h,
	{cxxtools/src => src}/bin/valueparser.cpp, {cxxtools/src =>
	src}/bin/worker.cpp, {cxxtools/src => src}/bin/worker.h,
	{cxxtools/src => src}/cgi.cpp, {cxxtools/src => src}/char.cpp,
	{cxxtools/src => src}/clock.cpp, {cxxtools/src =>
	src}/clockimpl.cpp, {cxxtools/src => src}/clockimpl.h,
	{cxxtools/src => src}/condition.cpp, {cxxtools/src =>
	src}/conditionimpl.cpp, {cxxtools/src => src}/conditionimpl.h,
	{cxxtools/src => src}/connectable.cpp, {cxxtools/src =>
	src}/connection.cpp, {cxxtools/src => src}/conversionerror.cpp,
	{cxxtools/src => src}/convert.cpp, {cxxtools/src =>
	src}/csvdeserializer.cpp, {cxxtools/src => src}/csvformatter.cpp,
	{cxxtools/src => src}/csvparser.cpp, {cxxtools/src =>
	src}/date.cpp, {cxxtools/src => src}/datetime.cpp, {cxxtools/src =>
	src}/decomposer.cpp, {cxxtools/src => src}/deserializer.cpp,
	{cxxtools/src => src}/directory.cpp, {cxxtools/src =>
	src}/directoryimpl.cpp, {cxxtools/src => src}/directoryimpl.h,
	{cxxtools/src => src}/error.cpp, {cxxtools/src => src}/error.h,
	{cxxtools/src => src}/eventloop.cpp, {cxxtools/src =>
	src}/eventsink.cpp, {cxxtools/src => src}/eventsource.cpp,
	{cxxtools/src => src}/facets.cpp, {cxxtools/src =>
	src}/fdstream.cpp, {cxxtools/src => src}/file.cpp, {cxxtools/src =>
	src}/filedevice.cpp, {cxxtools/src => src}/filedeviceimpl.cpp,
	{cxxtools/src => src}/filedeviceimpl.h, {cxxtools/src =>
	src}/fileimpl.cpp, {cxxtools/src => src}/fileimpl.h, {cxxtools/src
	=> src}/fileinfo.cpp, {cxxtools/src => src}/fileinfoimpl.h,
	{cxxtools/src => src}/formatter.cpp, {cxxtools/src =>
	src}/hdstream.cpp, {cxxtools/src => src}/http/Makefile.am,
	{cxxtools/src => src}/http/chunkedreader.cpp, {cxxtools/src =>
	src}/http/chunkedreader.h, {cxxtools/src => src}/http/client.cpp,
	{cxxtools/src => src}/http/clientimpl.cpp, {cxxtools/src =>
	src}/http/clientimpl.h, {cxxtools/src => src}/http/mapper.cpp,
	{cxxtools/src => src}/http/mapper.h, {cxxtools/src =>
	src}/http/messageheader.cpp, {cxxtools/src =>
	src}/http/notauthenticatedresponder.cpp, {cxxtools/src =>
	src}/http/notauthenticatedresponder.h, {cxxtools/src =>
	src}/http/notauthenticatedservice.cpp, {cxxtools/src =>
	src}/http/notauthenticatedservice.h, {cxxtools/src =>
	src}/http/notfoundresponder.cpp, {cxxtools/src =>
	src}/http/notfoundresponder.h, {cxxtools/src =>
	src}/http/notfoundservice.cpp, {cxxtools/src =>
	src}/http/notfoundservice.h, {cxxtools/src => src}/http/parser.cpp,
	{cxxtools/src => src}/http/parser.h, {cxxtools/src =>
	src}/http/request.cpp, {cxxtools/src => src}/http/responder.cpp,
	{cxxtools/src => src}/http/server.cpp, {cxxtools/src =>
	src}/http/serverimpl.cpp, {cxxtools/src => src}/http/serverimpl.h,
	{cxxtools/src => src}/http/serverimplbase.h, {cxxtools/src =>
	src}/http/service.cpp, {cxxtools/src => src}/http/socket.cpp,
	{cxxtools/src => src}/http/socket.h, {cxxtools/src =>
	src}/http/worker.cpp, {cxxtools/src => src}/http/worker.h,
	{cxxtools/src => src}/iconvstream.cpp, {cxxtools/src =>
	src}/iconvwrap.cpp, {cxxtools/src => src}/inifile.cpp,
	{cxxtools/src => src}/iniparser.cpp, {cxxtools/src =>
	src}/iodevice.cpp, {cxxtools/src => src}/iodeviceimpl.cpp,
	{cxxtools/src => src}/iodeviceimpl.h, {cxxtools/src =>
	src}/ioerror.cpp, {cxxtools/src => src}/iostream.cpp, {cxxtools/src
	=> src}/json/Makefile.am, {cxxtools/src =>
	src}/json/httpclient.cpp, {cxxtools/src =>
	src}/json/httpclientimpl.cpp, {cxxtools/src =>
	src}/json/httpclientimpl.h, {cxxtools/src =>
	src}/json/httpresponder.cpp, {cxxtools/src =>
	src}/json/httpresponder.h, {cxxtools/src =>
	src}/json/httpservice.cpp, {cxxtools/src =>
	src}/json/responder.cpp, {cxxtools/src => src}/json/responder.h,
	{cxxtools/src => src}/json/rpcclient.cpp, {cxxtools/src =>
	src}/json/rpcclientimpl.cpp, {cxxtools/src =>
	src}/json/rpcclientimpl.h, {cxxtools/src =>
	src}/json/rpcserver.cpp, {cxxtools/src =>
	src}/json/rpcserverimpl.cpp, {cxxtools/src =>
	src}/json/rpcserverimpl.h, {cxxtools/src => src}/json/scanner.cpp,
	{cxxtools/src => src}/json/scanner.h, {cxxtools/src =>
	src}/json/socket.cpp, {cxxtools/src => src}/json/socket.h,
	{cxxtools/src => src}/json/worker.cpp, {cxxtools/src =>
	src}/json/worker.h, {cxxtools/src => src}/jsondeserializer.cpp,
	{cxxtools/src => src}/jsonformatter.cpp, {cxxtools/src =>
	src}/jsonparser.cpp, {cxxtools/src => src}/jsonserializer.cpp,
	{cxxtools/src => src}/library.cpp, {cxxtools/src =>
	src}/libraryimpl.cpp, {cxxtools/src => src}/libraryimpl.h,
	{cxxtools/src => src}/log.cpp, {cxxtools/src => src}/md5.c,
	{cxxtools/src => src}/md5.h, {cxxtools/src => src}/md5stream.cpp,
	{cxxtools/src => src}/mime.cpp, {cxxtools/src =>
	src}/multifstream.cpp, {cxxtools/src => src}/mutex.cpp,
	{cxxtools/src => src}/muteximpl.cpp, {cxxtools/src =>
	src}/muteximpl.h, {cxxtools/src => src}/net.cpp, {cxxtools/src =>
	src}/pipe.cpp, {cxxtools/src => src}/pipeimpl.cpp, {cxxtools/src =>
	src}/pipeimpl.h, {cxxtools/src => src}/posix/commandinput.cpp,
	{cxxtools/src => src}/posix/commandoutput.cpp, {cxxtools/src =>
	src}/posix/pipestream.cpp, {cxxtools/src =>
	src}/posix/posixpipe.cpp, {cxxtools/src => src}/properties.cpp,
	{cxxtools/src => src}/propertiesdeserializer.cpp, {cxxtools/src =>
	src}/query_params.cpp, {cxxtools/src =>
	src}/quotedprintablestream.cpp, {cxxtools/src => src}/regex.cpp,
	{cxxtools/src => src}/remoteclient.cpp, {cxxtools/src =>
	src}/selectable.cpp, {cxxtools/src => src}/selectableimpl.h,
	{cxxtools/src => src}/selector.cpp, {cxxtools/src =>
	src}/selectorimpl.cpp, {cxxtools/src => src}/selectorimpl.h,
	{cxxtools/src => src}/semaphore.cpp, {cxxtools/src =>
	src}/semaphoreimpl.cpp, {cxxtools/src => src}/semaphoreimpl.h,
	{cxxtools/src => src}/serializationerror.cpp, {cxxtools/src =>
	src}/serializationinfo.cpp, {cxxtools/src =>
	src}/serviceregistry.cpp, {cxxtools/src => src}/settings.cpp,
	{cxxtools/src => src}/settingsreader.cpp, {cxxtools/src =>
	src}/settingsreader.h, {cxxtools/src => src}/settingswriter.cpp,
	{cxxtools/src => src}/settingswriter.h, {cxxtools/src =>
	src}/signal.cpp, {cxxtools/src => src}/streambuffer.cpp,
	{cxxtools/src => src}/string.cpp, {cxxtools/src =>
	src}/stringstream.cpp, {cxxtools/src => src}/systemerror.cpp,
	{cxxtools/src => src}/tcpserver.cpp, {cxxtools/src =>
	src}/tcpserverimpl.cpp, {cxxtools/src => src}/tcpserverimpl.h,
	{cxxtools/src => src}/tcpsocket.cpp, {cxxtools/src =>
	src}/tcpsocketimpl.cpp, {cxxtools/src => src}/tcpsocketimpl.h,
	{cxxtools/src => src}/tcpstream.cpp, {cxxtools/src => src}/tee.cpp,
	{cxxtools/src => src}/textbuffer.cpp, {cxxtools/src =>
	src}/textcodec.cpp, {cxxtools/src => src}/textstream.cpp,
	{cxxtools/src => src}/thread.cpp, {cxxtools/src =>
	src}/threadimpl.cpp, {cxxtools/src => src}/threadimpl.h,
	{cxxtools/src => src}/threadpool.cpp, {cxxtools/src =>
	src}/threadpoolimpl.cpp, {cxxtools/src => src}/threadpoolimpl.h,
	{cxxtools/src => src}/time.cpp, {cxxtools/src => src}/timer.cpp,
	{cxxtools/src => src}/timespan.cpp, {cxxtools/src => src}/udp.cpp,
	{cxxtools/src => src}/udpstream.cpp, {cxxtools/src =>
	src}/unicode.h, {cxxtools/src => src}/unit/Makefile.am,
	{cxxtools/src => src}/unit/application.cpp, {cxxtools/src =>
	src}/unit/assertion.cpp, {cxxtools/src => src}/unit/reporter.cpp,
	{cxxtools/src => src}/unit/test.cpp, {cxxtools/src =>
	src}/unit/testcase.cpp, {cxxtools/src => src}/unit/testcontext.cpp,
	{cxxtools/src => src}/unit/testprotocol.cpp, {cxxtools/src =>
	src}/unit/testsuite.cpp, {cxxtools/src => src}/uri.cpp,
	{cxxtools/src => src}/utf8codec.cpp, {cxxtools/src =>
	src}/uuencode.cpp, {cxxtools/src => src}/xml/characters.cpp,
	{cxxtools/src => src}/xml/endelement.cpp, {cxxtools/src =>
	src}/xml/entityresolver.cpp, {cxxtools/src =>
	src}/xml/namespacecontext.cpp, {cxxtools/src =>
	src}/xml/startelement.cpp, {cxxtools/src =>
	src}/xml/xmldeserializer.cpp, {cxxtools/src =>
	src}/xml/xmlerror.cpp, {cxxtools/src => src}/xml/xmlformatter.cpp,
	{cxxtools/src => src}/xml/xmlreader.cpp, {cxxtools/src =>
	src}/xml/xmlserializer.cpp, {cxxtools/src =>
	src}/xml/xmlwriter.cpp, {cxxtools/src => src}/xmlrpc/Makefile.am,
	{cxxtools/src => src}/xmlrpc/client.cpp, {cxxtools/src =>
	src}/xmlrpc/clientimpl.cpp, {cxxtools/src =>
	src}/xmlrpc/clientimpl.h, {cxxtools/src =>
	src}/xmlrpc/formatter.cpp, {cxxtools/src =>
	src}/xmlrpc/httpclient.cpp, {cxxtools/src =>
	src}/xmlrpc/httpclientimpl.cpp, {cxxtools/src =>
	src}/xmlrpc/httpclientimpl.h, {cxxtools/src =>
	src}/xmlrpc/responder.cpp, {cxxtools/src =>
	src}/xmlrpc/scanner.cpp, {cxxtools/src => src}/xmlrpc/service.cpp,
	{cxxtools/src => src}/xmltag.cpp, {cxxtools/test =>
	test}/Makefile.am, {cxxtools/test => test}/MyApp.pm, {cxxtools/test
	=> test}/arg-test.cpp, {cxxtools/test => test}/base64-test.cpp,
	{cxxtools/test => test}/binrpc-test.cpp, {cxxtools/test =>
	test}/binserializer-test.cpp, {cxxtools/test =>
	test}/cache-test.cpp, {cxxtools/test => test}/cgitest.cpp,
	{cxxtools/test => test}/clock-test.cpp, {cxxtools/test =>
	test}/convert-test.cpp, {cxxtools/test =>
	test}/csvdeserializer-test.cpp, {cxxtools/test =>
	test}/csvserializer-test.cpp, {cxxtools/test =>
	test}/iconvstream-test.cpp, {cxxtools/test => test}/inifile.cpp,
	{cxxtools/test => test}/join-test.cpp, {cxxtools/test =>
	test}/json-test.cpp, {cxxtools/test =>
	test}/jsondeserializer-test.cpp, {cxxtools/test =>
	test}/jsonechoclient.pl, {cxxtools/test => test}/jsonechoserver.pl,
	{cxxtools/test => test}/jsonrpc-test.cpp, {cxxtools/test =>
	test}/jsonrpchttp-test.cpp, {cxxtools/test =>
	test}/jsonserializer-test.cpp, {cxxtools/test =>
	test}/lrucache-test.cpp, {cxxtools/test => test}/md5-test.cpp,
	{cxxtools/test => test}/net-test.cpp, {cxxtools/test =>
	test}/pool-test.cpp, {cxxtools/test => test}/properties-test.cpp,
	{cxxtools/test => test}/query_params-test.cpp, {cxxtools/test =>
	test}/query_params_test.cpp, {cxxtools/test =>
	test}/regex-test.cpp, {cxxtools/test => test}/rpcbenchclient.cpp,
	{cxxtools/test => test}/rpcbenchserver.cpp, {cxxtools/test =>
	test}/serializationinfo-test.cpp, {cxxtools/test =>
	test}/serializer-bench.cpp, {cxxtools/test =>
	test}/smartptr-test.cpp, {cxxtools/test => test}/split-test.cpp,
	{cxxtools/test => test}/string-test.cpp, {cxxtools/test =>
	test}/tcpsockettest.cpp, {cxxtools/test => test}/test-main.cpp,
	{cxxtools/test => test}/trim-test.cpp, {cxxtools/test =>
	test}/uri-test.cpp, {cxxtools/test => test}/xmlreader-test.cpp,
	{cxxtools/test => test}/xmlrpc-test.cpp, {cxxtools/test =>
	test}/xmlrpccallback-test.cpp, {cxxtools/test =>
	test}/xmlserializer-test.cpp, {cxxtools/utils =>
	utils}/remoteprocedure.pl, {cxxtools/utils => utils}/setLicense.pl,
	{cxxtools/utils => utils}/xmlrpcservice.pl, vim/.gvimrc,
	vim/.vim/filetype.vim, vim/.vim/htmlsubst,
	vim/.vim/skeletons/skel.cpp, vim/.vim/skeletons/skel.h,
	vim/.vim/skeletons/skel.html, vim/.vim/skeletons/skel.mason,
	vim/.vim/skeletons/skel.pl, vim/.vim/syntax/ecpp.vim,
	vim/.vim/vimrc.c, vim/.vim/vimrc.cpp, vim/.vim/vimrc.ecpp,
	vim/.vim/vimrc.h, vim/.vim/vimrc.html, vim/.vim/vimrc.mason,
	vim/.vim/vimrc.perl, vim/.vimrc: remove one directory level

2013-05-04  Tommi Mäkitalo <tommi@tntnet.org>

	* cxxtools/include/cxxtools/jsonparser.h,
	cxxtools/src/jsonparser.cpp, cxxtools/src/log.cpp,
	cxxtools/test/jsondeserializer-test.cpp: allow plain keys in json
	deserializer initialization of logging optionally with json

2013-04-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in: update version number to 2.2rc4 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1627
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcasyncaddclient.cpp: fix typo in comment git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1626
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/Makefile.am, cxxtools/test/xmlrpccallback-test.cpp: 
	restore old xmlrpc unit test as xmlrpccallback to test the callback
	functionality git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1625
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/tcpsocketimpl.cpp, cxxtools/src/xmlrpc/clientimpl.cpp: 
	fix exception handling in xmlrpc and json over http - exceptions
	were lost when executed just via the event loop git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1624
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/doc/rpc-howto.markdown: rpc howto is finished git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1622
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcasyncaddclient.cpp: a cxxtools::Selector is
	sufficient in async rpc calls on the client side git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1621
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog: remove duplicate entries from ChangeLog git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1620
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-06  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog: update ChangeLog git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1619
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-06  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/test/convert-test.cpp,
	cxxtools/test/trim-test.cpp: fix build on FreeBSD and 2 minor style
	changes git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1618
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/systemerror.h, cxxtools/src/error.cpp,
	cxxtools/src/error.h, cxxtools/src/fileimpl.cpp,
	cxxtools/src/selectorimpl.cpp, cxxtools/src/systemerror.cpp,
	cxxtools/src/tcpserverimpl.cpp, cxxtools/src/tcpsocketimpl.cpp: 
	replace use of strerror with thread safe strerror_r git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1617
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-03  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/doc/rpc-howto.markdown: start howto for rpc in cxxtools git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1616
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-03  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/trim.h, cxxtools/test/trim-test.cpp: 
	make string type a template parameter in ltrim, rtrim and trim so
	that it works with cxxtools::String (unicode string) also git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1615
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-04-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/xml/Makefile.am: remove unused Makefile.am git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1614
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-31  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/rpcserver.h,
	cxxtools/include/cxxtools/http/server.h,
	cxxtools/include/cxxtools/json/rpcserver.h,
	cxxtools/src/bin/rpcserver.cpp, cxxtools/src/http/server.cpp,
	cxxtools/src/json/rpcserver.cpp, cxxtools/test/binrpc-test.cpp,
	cxxtools/test/jsonrpc-test.cpp, cxxtools/test/jsonrpchttp-test.cpp,
	cxxtools/test/xmlrpc-test.cpp: make passing listen ip address
	optional for http and rpc servers, which means to listen on all
	interfaces git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1613
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-31  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/md5stream.cpp, cxxtools/src/properties.cpp: fix
	compiler warnings git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1612
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-31  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am: add lrucache.h to Makefile.am git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1611
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-31  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/tcpserverimpl.cpp: fix compile error - variable "fn"
	is not defined git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1610
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcaddclient.cpp,
	cxxtools/demo/rpcasyncaddclient.cpp, cxxtools/demo/rpcserver.cpp,
	cxxtools/include/cxxtools/bin/rpcclient.h,
	cxxtools/include/cxxtools/http/client.h,
	cxxtools/include/cxxtools/json/httpclient.h,
	cxxtools/include/cxxtools/json/rpcclient.h,
	cxxtools/include/cxxtools/remoteclient.h,
	cxxtools/include/cxxtools/remoteprocedure.h,
	cxxtools/include/cxxtools/remoteresult.h,
	cxxtools/include/cxxtools/xmlrpc/httpclient.h,
	cxxtools/src/Makefile.am, cxxtools/src/bin/rpcclient.cpp,
	cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/bin/rpcclientimpl.h,
	cxxtools/src/bin/rpcserverimpl.cpp, cxxtools/src/http/client.cpp,
	cxxtools/src/http/clientimpl.cpp, cxxtools/src/http/clientimpl.h,
	cxxtools/src/json/httpclient.cpp,
	cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/httpclientimpl.h,
	cxxtools/src/json/rpcclient.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.h,
	cxxtools/src/json/rpcserverimpl.cpp, cxxtools/src/remoteclient.cpp,
	cxxtools/src/selector.cpp, cxxtools/src/xmlrpc/clientimpl.cpp,
	cxxtools/src/xmlrpc/httpclient.cpp,
	cxxtools/src/xmlrpc/httpclientimpl.cpp,
	cxxtools/src/xmlrpc/httpclientimpl.h,
	cxxtools/test/binrpc-test.cpp, cxxtools/test/jsonrpc-test.cpp,
	cxxtools/test/jsonrpchttp-test.cpp, cxxtools/test/xmlrpc-test.cpp: 
	implement a new much simpler api for asynchronous rpc calls (see
	demo/rpcasyncaddclient.cpp for a example) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1609
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/demo/Makefile.am,
	cxxtools/src/Makefile.am, cxxtools/test/Makefile.am: set pthread
	flags and select threaded compiler globally in configure script git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1608
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcasyncaddclient.cpp: forgot to pass event loop to
	json rpc client demo git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1607
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcaddclient.cpp: make selecting remote client a
	little more readable in demo git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1606
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-22  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog, cxxtools/configure.in: release candidate
	2.2rc3 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1605
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/cache.h,
	cxxtools/include/cxxtools/lrucache.h, cxxtools/test/Makefile.am,
	cxxtools/test/lrucache-test.cpp: implement lru cache git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1604
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/cache.h, cxxtools/test/cache-test.cpp: 
	fix collecting cache stats return reference to new value in put
	method of cache git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1603
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/http/service.h,
	cxxtools/include/cxxtools/iniparser.h,
	cxxtools/include/cxxtools/properties.h,
	cxxtools/src/jsonformatter.cpp: fix again some compiler warnings git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1602
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in: set preprocesor flags in CPPFLAGS instead
	of CXXFLAGS git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1601
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/posix/exec.h,
	cxxtools/src/bin/valueparser.cpp,
	cxxtools/src/http/chunkedreader.cpp,
	cxxtools/src/posix/pipestream.cpp, cxxtools/src/tcpserverimpl.cpp: 
	fix some compiler warnings use INHERIT flag on non-linux systems in
	cxxtools::net::TcpServer::accept also git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1600
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog, cxxtools/configure.in: update version number
	to 2.2rc2; update ChangeLog git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1599
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/include/cxxtools/file.h,
	cxxtools/include/cxxtools/fileinfo.h,
	cxxtools/include/cxxtools/xmlrpc/responder.h,
	cxxtools/src/bin/rpcclient.cpp, cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/bin/rpcclientimpl.h, cxxtools/src/file.cpp,
	cxxtools/src/fileinfo.cpp, cxxtools/src/settingswriter.h: remove
	some unused members git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1598
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/smartptr.h: remove implicit conversion
	from cxxtools::SmartPtr to raw pointer and make different SmartPtr
	types compatible as long as the pointees are compatible git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1597
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/regex.cpp: fix handling of escape character in format
	method of cxxtools::RegexSMatch git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1596
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/src/json/rpcclientimpl.cpp: fix
	jsonrpc client connect method: last optimization was silly wrong git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1594
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/regex.h, cxxtools/src/regex.cpp,
	cxxtools/test/Makefile.am, cxxtools/test/regex-test.cpp: handle
	empty regular expression explicitly since at least OSX complains
	about it git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1593
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/rpcclient.cpp,
	cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclient.cpp,
	cxxtools/src/json/rpcclientimpl.cpp: fix crash in binary rpc client
	when reusing client close existing connection in json rpc client
	when connection parameters are changed in connect close existing
	connection in binary rpc client only if connection parameters are
	changed in connect git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1590
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-03-01  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/rpcclient.cpp,
	cxxtools/src/bin/rpcclientimpl.cpp: binary rpc client crashed when
	connect method was called on a default constructed instance git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1587
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-02-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/query_params.h,
	cxxtools/src/query_params.cpp, cxxtools/test/Makefile.am,
	cxxtools/test/query_params-test.cpp,
	cxxtools/test/query_params_it.cpp: simplify cxxtools::QueryParams
	and remove the unused parent feature git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1586
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-02-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog: update ChangeLog git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1585
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-02-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/jsonserializer-test.cpp: logging is not used in
	jsonserializer unit test git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1584
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-02-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/filedevice.h,
	cxxtools/src/filedevice.cpp, cxxtools/src/filedeviceimpl.cpp,
	cxxtools/src/filedeviceimpl.h, cxxtools/src/iodeviceimpl.cpp,
	cxxtools/src/iodeviceimpl.h: fix FileDevice git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1583
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-02-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/rpcclient.h,
	cxxtools/src/bin/rpcclient.cpp, cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/bin/rpcclientimpl.h, cxxtools/test/binrpc-test.cpp: add
	domain parameter to connect method and constructor of binary rpc
	client to make it more similar to xmlrpc git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1582
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-02-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/jsonformatter.cpp: do not convert string values to
	double and back in json formatter when doubles are serialized as
	strings git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1581
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/string.tpp: make conversion explicit in
	cxxtools::String (clang was pinky about it and he was right) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1580
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/log/cxxtools.h: improve compatibility to
	previous cxxtools release in log_init git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1579
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/properties-test.cpp: fix properties unit test: a
	wide char string cannot be printed to a std::ostream git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1578
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-16  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/properties.cpp, cxxtools/test/properties-test.cpp: 
	allow full 32 bit unicode escapes in properties files git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1577
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/properties-test.cpp: use deserializer API to extract
	data from properties in unit test git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1576
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/properties.h,
	cxxtools/include/cxxtools/propertiesdeserializer.h,
	cxxtools/src/properties.cpp,
	cxxtools/src/propertiesdeserializer.cpp, cxxtools/test/Makefile.am,
	cxxtools/test/{propertiesdeserializer-test.cpp =>
	properties-test.cpp}: improve error handling in properties parser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1575
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/properties.h,
	cxxtools/src/properties.cpp,
	cxxtools/test/propertiesdeserializer-test.cpp: allow unicode escape
	sequences in properties and comments starting with ! git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1574
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/deserializer.h,
	cxxtools/include/cxxtools/log/cxxtools.h,
	cxxtools/include/cxxtools/log/cxxtools_init.h,
	cxxtools/include/cxxtools/properties.h,
	cxxtools/include/cxxtools/propertiesdeserializer.h,
	cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/src/Makefile.am, cxxtools/src/log.cpp,
	cxxtools/src/properties.cpp,
	cxxtools/src/propertiesdeserializer.cpp,
	cxxtools/src/serializationinfo.cpp, cxxtools/test/Makefile.am,
	cxxtools/test/propertiesdeserializer-test.cpp: implement
	PropertiesDeserializer read logging settings optionally from
	log.properties like before bugfix:
	SerializationInfo::getMember(unsigned) was just wrong use unicode
	strings in Properties class git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1573
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/json/Makefile.am: add missing library dependency git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1572
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-03  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/tcpserverimpl.cpp: fix stopping tcp server if only
	one listen socket is active git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1571
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/include/cxxtools/char.h,
	cxxtools/include/cxxtools/convert.h,
	cxxtools/include/cxxtools/string.h, cxxtools/src/char.cpp,
	cxxtools/src/csvparser.cpp, cxxtools/src/http/chunkedreader.cpp,
	cxxtools/src/jsonparser.cpp, cxxtools/src/log.cpp,
	cxxtools/src/utf8codec.cpp, cxxtools/src/xml/entityresolver.cpp,
	cxxtools/test/xmlreader-test.cpp: make value of cxxtools::Char
	signed like other char types fixes for IBM/xlC-compiler git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1570
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/tcpsocketimpl.cpp: do not block SIGPIPE if
	MSG_NOSIGNAL is used git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1569
	15ae5fad-cc11-0410-8fac-bce609e504b0

2013-01-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/split.h, cxxtools/test/split-test.cpp: 
	extend cxxtools::split by passing split as set of chars git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1568
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-12-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in: fix preprocessor warning about redefinition
	of HAVE_REVERSE_ITERATOR git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1567
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-12-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/rpcserverimpl.cpp,
	cxxtools/src/http/serverimpl.cpp,
	cxxtools/src/json/rpcserverimpl.cpp, cxxtools/src/tcpsocketimpl.cpp: 
	fix handling SIGPIPE in tcp server for BSD do not set signal handler
	for SIGPIPE any more in servers since it is now handled by the
	socket code git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1566
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-12-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/tcpserverimpl.cpp: fix setting SO_NOSIGPIPE git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1565
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-12-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/src/tcpserverimpl.cpp,
	cxxtools/src/tcpsocketimpl.cpp, cxxtools/src/tcpsocketimpl.h,
	cxxtools/test/rpcbenchclient.cpp: use SO_NOSIGPIPE or MSG_NOSIGNAL
	to suppress SIGPIPE git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1564
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-12-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: fix compile problem on FreeBSD git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1563
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-12-01  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/directoryimpl.cpp: allocate dynamically the buffer
	for cxxtools::Directory::cwd to be safe for all times git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1562
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/doc/binserialization.txt,
	cxxtools/include/cxxtools/bin/rpcclient.h,
	cxxtools/include/cxxtools/bin/rpcserver.h,
	cxxtools/src/bin/responder.cpp, cxxtools/src/bin/responder.h,
	cxxtools/src/bin/rpcclient.cpp, cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/bin/rpcclientimpl.h, cxxtools/src/bin/rpcserver.cpp,
	cxxtools/test/binrpc-test.cpp: replace function praefix in binary
	rpc with domain and implement explicit protocol support for it git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1561
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/arg.h: allow assigning value to
	cxxtools::Arg git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1560
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/filedevice.h, cxxtools/src/Makefile.am,
	cxxtools/src/filedevice.cpp, cxxtools/src/filedeviceimpl.cpp,
	cxxtools/src/filedeviceimpl.h: new file device for asynchronous file
	i/o (ported from Pt) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1559
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/queue.h: add force flag to
	cxxtools::Queue::put to override capacity limitation of queue git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1558
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/base64codec.h,
	cxxtools/include/cxxtools/utf8codec.h: make
	Base64Codec::encode/decode public as they are inteded to be and make
	codec methods in Utf8Codec protected instead of public git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1557
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/iconvwrap.h: add missing file -
	iconvwrap should have been checked in long ago git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1556
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-11-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in: compile with -Wall and -pedantic by default
	if compiler supports it git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1555
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-10-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/unit/assertion.h: do not loose assertion
	message when unit tests are nested git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1554
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-10-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/xmlrpc/formatter.cpp: format null value correctly in
	xmlrpc git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1553
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-10-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/serializationinfo.h: make type
	conversion explicit in SerializationInfo git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1552
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-10-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/Makefile.am, cxxtools/test/join-test.cpp,
	cxxtools/test/split-test.cpp: add unit tests for cxxtools::split and
	cxxtools::join git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1551
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-09-21  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/base64codec.h,
	cxxtools/include/cxxtools/utf8codec.h, cxxtools/src/utf8codec.cpp,
	cxxtools/test/base64-test.cpp: add static helper functions to codecs
	for encoding and decoding utf-8 and base84 data git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1550
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-09-21  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/textcodec.h,
	cxxtools/test/base64-test.cpp: fix new cxxtools::encode and decode
	functions and add unit tests for them git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1549
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-09-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/textcodec.h: implement encode and decode
	helper template functions git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1548
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-09-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/addrinfoimpl.cpp, cxxtools/src/tcpsocketimpl.cpp,
	cxxtools/src/tcpsocketimpl.h: add host and port into error message
	in tcp client when connect fails git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1547
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-09-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/httpresponder.cpp,
	cxxtools/src/json/httpservice.cpp, cxxtools/src/json/responder.cpp: 
	make json rpc conformant to JSON-RPC specification 2.0 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1546
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-09-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/src/clockimpl.cpp,
	cxxtools/src/clockimpl.h, cxxtools/test/Makefile.am,
	cxxtools/test/clock-test.cpp: use monotonic clock function
	clock_gettime if available to measure times cxxtools::Clock git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1545
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-08-24  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/threadimpl.cpp: add missing include git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1544
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-08-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/timespan.h,
	cxxtools/src/threadimpl.cpp, cxxtools/src/threadimpl.h: make
	cxxtools::Thread::sleep(ms) signal safe git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1543
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-08-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/http/parser.cpp, cxxtools/src/http/parser.h: allow
	absolute uris in http requesst header as the standard demands git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1542
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-07-31  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/query_params.h,
	cxxtools/src/query_params.cpp, cxxtools/src/xml/xmlreader.cpp: fix
	problems detected by clang 3.1 (yofuh) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1541
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-07-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/char.h,
	cxxtools/include/cxxtools/convert.h,
	cxxtools/include/cxxtools/textbuffer.h, cxxtools/src/char.cpp,
	cxxtools/src/convert.cpp, cxxtools/src/jsonparser.cpp,
	cxxtools/src/properties.cpp, cxxtools/src/serializationinfo.cpp,
	cxxtools/src/settingsreader.cpp, cxxtools/src/settingsreader.h,
	cxxtools/src/string.cpp, cxxtools/src/utf8codec.cpp,
	cxxtools/src/xml/xmlreader.cpp: make cxxtools::Char more restrictive
	(like removing automatic conversion to int or removing shift
	operators) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1540
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-07-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: make of logging deinitialization more robust git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1539
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-07-16  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/char.h: comparing Char against wchar_t git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1538
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/unit/assertion.h: better formatting of
	failed message in unittest macro CXXTOOLS_UNIT_ASSERT_EQUALS git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1536
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-11  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/thread.cpp: fix another race condition when creating
	deteached threads (now I can't crash tntnet any more) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1535
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-11  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/threadimpl.cpp: fix race condition when creating
	deteached threads git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1534
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-10  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/addrinfo.cpp, cxxtools/src/log.cpp: fix 2 memory
	leaks git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1533
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-10  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/smartptr-test.cpp: add test for smart pointer with
	atomic counter git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1532
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/smartptr.h: make smart pointer implicit
	convertable to const ObjectType* again git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1531
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/refcounted.h,
	cxxtools/include/cxxtools/smartptr.h: move responsibility in
	destroying object from refcounted to smartptr class, so that
	smartptr can use its destroy poliy git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1530
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: simplify writing log to stderr or stdout
	since this complicated optimization do not help at all git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1529
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: fix optimized writing to console in logger
	(log messages were not completed with a line feed when delayed) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1528
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/Makefile.am: do not create log.properties but new
	log.xml when building demos git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1527
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-06-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am: add new cxxtools/iconvwrap.h to dist
	package git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1526
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/Makefile.am, cxxtools/configure.in,
	cxxtools/pkgconfig/cxxtools-bin.pc.in,
	cxxtools/pkgconfig/cxxtools-http.pc.in,
	cxxtools/pkgconfig/cxxtools-json.pc.in,
	cxxtools/pkgconfig/cxxtools-unit.pc.in,
	cxxtools/pkgconfig/cxxtools-xmlrpc.pc.in,
	cxxtools/pkgconfig/cxxtools.pc.in: add pkg-config support (Leandro
	Santiago) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1525
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/iconvstream.h,
	cxxtools/src/Makefile.am, cxxtools/src/iconvstream.cpp,
	cxxtools/src/iconvwrap.cpp, cxxtools/test/Makefile.am,
	cxxtools/test/iconvstream-test.cpp: improve iconv support (JiÅ™Ã­
	Pinkava) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1524
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/cxxtools-config.in: update cxxtools-config to generate
	new configuration file log.xml file instead of log.properties for
	logging git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1523
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: limit size of buffered log messages to
	stderr or stdout to about 8k git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1522
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: do not use std::cerr to write log message
	since it is a global resource may be used by another thread add
	setting "stdout" to print log output to stdout instead of stderr git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1521
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/string.cpp: optimize printing cxxtools::String to
	std::ostream by using codec directly instead of instantiation of
	TextStream git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1520
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/utf8codec.cpp: fix buffer overflow in
	Utf8Codec::decode git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1519
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/Makefile.am, cxxtools/configure.in,
	cxxtools/demo/Makefile.am, cxxtools/demo/cxxlog.cpp,
	cxxtools/demo/dlloader.cpp, cxxtools/demo/getini.cpp,
	cxxtools/demo/iconv.cpp, cxxtools/demo/log.cpp,
	cxxtools/demo/logbench.cpp, cxxtools/demo/logsh.cpp,
	cxxtools/demo/mime.cpp, cxxtools/demo/netcat.cpp,
	cxxtools/demo/netio.cpp, cxxtools/demo/netmsg.cpp,
	cxxtools/demo/pool.cpp, cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/log.h,
	cxxtools/include/cxxtools/log/cxxtools.h,
	cxxtools/include/cxxtools/net/udp.h,
	cxxtools/include/cxxtools/unit/testmain.h,
	cxxtools/src/Makefile.am, cxxtools/src/log.cpp,
	cxxtools/src/systemerror.cpp, cxxtools/src/udp.cpp,
	cxxtools/src/xmlrpc/Makefile.am, cxxtools/test/Makefile.am: - rewrite logging - configure logging using xml (or serializationinfo) instead of
	properties - remove cxxtools/loginit.h - it was obsolete for long time already - move xml support from libcxxtools-xml into core library
	libcxxtools and remove libcxxtools-xml git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1518
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/xml/entityresolver.cpp,
	cxxtools/test/xmlreader-test.cpp: do not use all html entities in
	xml but only the few, which are defined in xml git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1517
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/http/request.cpp: fix reading authentication data
	from http request git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1516
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-19  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog: update ChangeLog git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1515
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-19  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/cxxtools-config.in,
	cxxtools/include/cxxtools/log/disable.h,
	cxxtools/include/cxxtools/log/disable_init.h,
	cxxtools/include/cxxtools/log/log4cplus.h,
	cxxtools/include/cxxtools/log/log4cplus_init.h,
	cxxtools/include/cxxtools/log/log4cxx.h,
	cxxtools/include/cxxtools/log/log4cxx_init.h: remove remaining parts
	of support of log4cxx and log4cplus git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1512
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: limit number of pooled message impl in
	logger to 8 and release pooled messages on end git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1511
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: optimize logging: pool of message impls git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1510
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-06  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/deserializerbase.h,
	cxxtools/test/binserializer-test.cpp, cxxtools/test/json-test.cpp,
	cxxtools/test/xmlserializer-test.cpp: add clear method to
	deserializer and fix unit tests - they were broken with the new
	feature, that deserializers can deserialize multiple objects without
	rerun git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1509
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-06  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/log/cxxtools.h, cxxtools/src/log.cpp: 
	optimize logging by delaying flush when other threads are already
	waiting to write next log message git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1508
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/properties.h,
	cxxtools/src/properties.cpp: small fix in properties parser use
	unicode string in properties parser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1507
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/deserializer.h,
	cxxtools/include/cxxtools/deserializerbase.h: allow multiple calls
	to deserializer without reparsing git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1505
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/valueparser.cpp: fix reading custom types in
	binary parser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1503
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/dir.cpp, cxxtools/include/cxxtools/directory.h,
	cxxtools/include/cxxtools/fileinfo.h, cxxtools/src/directory.cpp,
	cxxtools/src/directoryimpl.cpp, cxxtools/src/directoryimpl.h,
	cxxtools/src/fileinfo.cpp, cxxtools/src/fileinfoimpl.h: make some
	extensions to Directory and FileInfo git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1502
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-05-03  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog: update change log git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1499
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/iniparser.cpp: semicolon is a comment in ini files -
	fix in iniparser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1498
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/base64codec.cpp, cxxtools/test/base64-test.cpp: 
	base64 was still wrong git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1497
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/base64codec.cpp, cxxtools/test/base64-test.cpp: fix
	base64 encoder git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1496
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/jsonparser.h,
	cxxtools/src/jsonparser.cpp,
	cxxtools/test/jsondeserializer-test.cpp: allow comments (single line
	with // and multiline with /* */) in json git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1495
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/src/serializationinfo.cpp: add method getMember(unsigned)
	to read nth member from SerializationInfo git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1494
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/net/tcpserver.h,
	cxxtools/src/bin/Makefile.am, cxxtools/src/bin/listener.h,
	cxxtools/src/bin/rpcserverimpl.cpp,
	cxxtools/src/bin/rpcserverimpl.h, cxxtools/src/http/Makefile.am,
	cxxtools/src/http/listener.h, cxxtools/src/http/serverimpl.cpp,
	cxxtools/src/http/serverimpl.h, cxxtools/src/json/Makefile.am,
	cxxtools/src/json/listener.h, cxxtools/src/json/rpcserverimpl.cpp,
	cxxtools/src/json/rpcserverimpl.h, cxxtools/src/tcpserver.cpp,
	cxxtools/src/tcpserverimpl.cpp, cxxtools/src/tcpserverimpl.h,
	cxxtools/src/tcpsocketimpl.h: new method terminateAccept in
	TcpServer to terminate a blocking accept from another thread git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1493
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-10  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/valueparser.cpp,
	cxxtools/test/binserializer-test.cpp: fix formatting and parsing
	floating point value 0 in binary format git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1492
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-10  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcaddclient.cpp,
	cxxtools/demo/rpcasyncaddclient.cpp: fix xmlrpc url and add json
	over http to the rpc add client (Leandro Santiago) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1491
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/cache.h: fix compile problem in
	cxxtools::Cache git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1490
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-07  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/cache.h, cxxtools/test/cache-test.cpp: 
	fix resizing cxxtools::Cache git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1489
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-04-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in: update version number to 2.1 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1487
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-31  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog, cxxtools/configure.in: update ChangeLog and
	version number git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1486
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/cache.h: optimize cache template - no
	linear search necessary any more when searching for elements git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1485
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/log/cxxtools_init.h,
	cxxtools/src/log.cpp: arg/argv can be passed to log_init, so that
	the logging properties file is derived from the current binary name
	or optionally a option char or string is passed to log_init git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1484
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/config.h.in,
	cxxtools/include/cxxtools/log.h,
	cxxtools/include/cxxtools/log/cxxtools.h,
	cxxtools/include/cxxtools/loginit.h,
	cxxtools/m4/cxxtools_logging.m4: remove support for log4cpp and
	log4cxx git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1482
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-15  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvdeserializer.cpp, cxxtools/src/csvparser.cpp,
	cxxtools/test/csvdeserializer-test.cpp: fix reading csv data without
	title git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1481
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/jsonformatter.cpp: use unicode escape sequence for
	control characters (<0x20) in json as done already for characters >
	0x80 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1479
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/jsonserializer.h,
	cxxtools/test/jsonserializer-test.cpp: add feature to json
	serializer to serialize empty objects git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1477
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-03-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/log/cxxtools.h: add log macros
	log_xxx_if(cond, expr) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1476
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/base64codec.h,
	cxxtools/src/Makefile.am, cxxtools/src/base64codec.cpp,
	cxxtools/test/base64-test.cpp: fix encoding in base64codec git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1470
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/m4/ax_check_compile_flag.m4,
	cxxtools/m4/ax_compiler_vendor.m4: set compile flags for ibm xlc
	correctly git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1469
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/m4/ax_cflags_aix_option.m4,
	cxxtools/m4/ax_cflags_gcc_option.m4: use AX_CHECK_COMPILE_FLAG
	instead of AX_CXXFLAGS_*_OPTION to check compile flags - this is a
	standard macro of autoconf and works better than the old ones git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1468
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-24  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/m4/ax_cflags_aix_option.m4,
	cxxtools/m4/ax_cflags_gcc_option.m4: add compiler flags
	-Wno-long-long for gcc and -qrtti for aix/xlc git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1467
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-24  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/string.cpp: fix member function in string to match
	exactly the declaration in the header git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1466
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-24  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/deserializer.h,
	cxxtools/include/cxxtools/serializationerror.h,
	cxxtools/include/cxxtools/textstream.h,
	cxxtools/src/bin/deserializer.cpp,
	cxxtools/src/bin/valueparser.cpp, cxxtools/src/csvdeserializer.cpp,
	cxxtools/src/csvparser.cpp, cxxtools/src/deserializer.cpp,
	cxxtools/src/jsondeserializer.cpp, cxxtools/src/jsonparser.cpp,
	cxxtools/src/serializationerror.cpp,
	cxxtools/src/xmlrpc/clientimpl.cpp,
	cxxtools/src/xmlrpc/scanner.cpp,
	cxxtools/test/csvdeserializer-test.cpp: improve error reporting in
	serializer inherit exception flag from base stream in text streams git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1465
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-24  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/date.cpp, cxxtools/src/time.cpp: fix formatting git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1464
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvdeserializer.cpp,
	cxxtools/test/csvdeserializer-test.cpp: inherit exception mask from
	source stream in csv deserializer git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1463
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/serializationinfo.cpp: report right type in
	serializationinfo when convert fails git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1462
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-20  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/test/Makefile.am: remove obsolete
	definition of TESTDIR from build git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1461
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-19  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in: add configure check if int64_t can be
	serialized using standard types git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1460
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-19  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/binserializer-test.cpp,
	cxxtools/test/convert-test.cpp, cxxtools/test/json-test.cpp,
	cxxtools/test/xmlserializer-test.cpp: do not check doubles for
	equality but for almost equal in unit test to work around rounding
	problems git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1459
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/valueparser.cpp, cxxtools/src/csvparser.cpp,
	cxxtools/src/log.cpp, cxxtools/src/serializationinfo.cpp: fix some
	compiler warnings git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1458
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/textcodec.h: add missing explicit marker git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1457
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/log.cpp: process last line of log.properties even if
	there is no line feed at end git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1456
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-17  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/iodevice.h: fix documentation of
	cxxtools::IODevice::eof() git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1455
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/formatter.h,
	cxxtools/include/cxxtools/csvformatter.h,
	cxxtools/include/cxxtools/formatter.h,
	cxxtools/include/cxxtools/jsonformatter.h,
	cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/include/cxxtools/xml/xmlformatter.h,
	cxxtools/include/cxxtools/xmlrpc/formatter.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/csvformatter.cpp,
	cxxtools/src/decomposer.cpp, cxxtools/src/formatter.cpp,
	cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/responder.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/jsonformatter.cpp, cxxtools/src/serializationinfo.cpp,
	cxxtools/src/xml/xmlformatter.cpp,
	cxxtools/src/xmlrpc/formatter.cpp,
	cxxtools/test/csvserializer-test.cpp: serializer bool as "true" and
	"false" as before instead of 1 and 0 give addValue methods of
	formatter unique names for easier resolution and to remove some
	compiler warnings git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1454
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/base64codec.h,
	cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/include/cxxtools/char.h,
	cxxtools/include/cxxtools/clock.h,
	cxxtools/include/cxxtools/convert.h,
	cxxtools/include/cxxtools/csvparser.h,
	cxxtools/include/cxxtools/datetime.h,
	cxxtools/include/cxxtools/iodevice.h,
	cxxtools/include/cxxtools/selectable.h,
	cxxtools/include/cxxtools/string.h,
	cxxtools/include/cxxtools/time.h,
	cxxtools/include/cxxtools/timespan.h,
	cxxtools/include/cxxtools/types.h,
	cxxtools/include/cxxtools/typetraits.h,
	cxxtools/include/cxxtools/utf8codec.h,
	cxxtools/src/bin/valueparser.cpp, cxxtools/src/csvdeserializer.cpp,
	cxxtools/src/datetime.cpp, cxxtools/src/jsonparser.cpp,
	cxxtools/src/selector.cpp, cxxtools/src/timer.cpp,
	cxxtools/src/xml/entityresolver.cpp: remove cxxtools/types.h header
	and replace with stdint.h and clean up code again to reduce compiler
	warnings use the result of the long long type check where needed git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1453
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/textstream.h: fix typo in textstream,
	which caused a crash git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1452
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/application.cpp, cxxtools/src/jsonparser.cpp: fix
	initalization of application class fix compiler warning in json
	parser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1451
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/netio.cpp,
	cxxtools/include/cxxtools/bin/serializer.h,
	cxxtools/include/cxxtools/char.h,
	cxxtools/include/cxxtools/jsonparser.h,
	cxxtools/include/cxxtools/query_params.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/responder.h,
	cxxtools/src/bin/scanner.h, cxxtools/src/bin/valueparser.cpp,
	cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/httpservice.cpp, cxxtools/src/regex.cpp: add some
	missing headers and other minor code cleanup (yofuh) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1450
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/include/cxxtools/application.h,
	cxxtools/include/cxxtools/datetime.h,
	cxxtools/include/cxxtools/hmac.h,
	cxxtools/include/cxxtools/iostream.h,
	cxxtools/include/cxxtools/library.h,
	cxxtools/include/cxxtools/md5.h,
	cxxtools/include/cxxtools/membar.gcc.arm.h,
	cxxtools/include/cxxtools/membar.gcc.h,
	cxxtools/include/cxxtools/membar.gcc.mips.h,
	cxxtools/include/cxxtools/membar.gcc.nosmp.h,
	cxxtools/include/cxxtools/membar.gcc.ppc.h,
	cxxtools/include/cxxtools/membar.gcc.sparc32.h,
	cxxtools/include/cxxtools/membar.gcc.sparc64.h,
	cxxtools/include/cxxtools/membar.gcc.x86.h,
	cxxtools/include/cxxtools/membar.h,
	cxxtools/include/cxxtools/membar.sun.h,
	cxxtools/include/cxxtools/membar.windows.h,
	cxxtools/include/cxxtools/pool.h,
	cxxtools/include/cxxtools/smartptr.h,
	cxxtools/include/cxxtools/streamcounter.h,
	cxxtools/include/cxxtools/systemerror.h,
	cxxtools/include/cxxtools/textbuffer.h,
	cxxtools/include/cxxtools/textstream.h,
	cxxtools/include/cxxtools/time.h, cxxtools/src/application.cpp,
	cxxtools/src/applicationimpl.cpp,
	cxxtools/src/atomicity.gcc.sparc64.cpp, cxxtools/src/directory.cpp,
	cxxtools/src/directoryimpl.cpp, cxxtools/src/fileinfo.cpp,
	cxxtools/src/iodeviceimpl.cpp, cxxtools/src/selector.cpp,
	cxxtools/src/settingsreader.h, cxxtools/src/signal.cpp,
	cxxtools/src/thread.cpp, cxxtools/src/time.cpp: add some missing
	includes change tabs to spaces increase abi number from 7 to 8 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1449
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/ChangeLog: update ChangeLog git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1448
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/formatter.cpp: avoid long long constants since
	they are difficult to make fully portable git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1447
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/json/request.h: update license header git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1446
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/api.h: add check for cygwin platform to
	disable min/max macros from win32 headers git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1445
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-03  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/csvserializer.h: csvserializer is not
	copyable git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1444
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-02-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/csvparser.h,
	cxxtools/src/csvparser.cpp, cxxtools/test/csvdeserializer-test.cpp: 
	allow quoted titles in csv parser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1441
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-30  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvformatter.cpp,
	cxxtools/test/csvserializer-test.cpp: print header line in csv
	serializer when titles are set explicitly even if no data lines are
	written git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1439
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/serializer-bench.cpp: change serializer-bench to use
	fraction numbers also in double test git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1437
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/responder.cpp,
	cxxtools/src/bin/valueparser.cpp: remove unnecessary end of value
	marker in binary format git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1436
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/serializer.h,
	cxxtools/test/binserializer-test.cpp: make name parameter optional
	when serializing objects into binary format git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1435
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.cpp: handle eof in json and binary
	rpc client git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1434
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvparser.cpp: autodetect tab in csv files git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1433
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/csvserializer.h,
	cxxtools/src/csvparser.cpp, cxxtools/test/csvdeserializer-test.cpp: 
	fix setting of delimiter in csv parser and impl csv formatter in csv
	serializer to help binary compatibility in the future git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1431
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/unit/testmain.h: change in unittest
	main: take argument list as list of tests to execute instead of
	option -t and add option -l as an alias to -h (i.e. list available
	tests) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1430
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/responder.cpp, cxxtools/src/bin/responder.h,
	cxxtools/src/bin/socket.cpp, cxxtools/src/json/socket.cpp,
	cxxtools/test/binrpc-test.cpp, cxxtools/test/jsonrpc-test.cpp,
	cxxtools/test/xmlrpc-test.cpp: fix bug in binary rpc and json rpc
	server: large requests (>8192 bytes) let server to wait forever git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1429
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-25  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/posix/commandinput.h,
	cxxtools/include/cxxtools/posix/commandoutput.h: implement
	cxxtools::poxix::CommandInput::wait and
	cxxtools::posix::CommandOutput::wait git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1428
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-24  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/rpcclient.h,
	cxxtools/include/cxxtools/json/rpcclient.h,
	cxxtools/src/bin/rpcclient.cpp, cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/bin/rpcclientimpl.h, cxxtools/src/json/rpcclient.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.h, cxxtools/test/binrpc-test.cpp,
	cxxtools/test/jsonrpc-test.cpp: fix typo in method name git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1427
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-21  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/src/bin/valueparser.cpp: cleanup code in binary parser git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1426
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-19  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/serializer.h,
	cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/valueparser.cpp,
	cxxtools/test/binserializer-test.cpp: optimize floating point values
	binary format again - we have now a medium sized float git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1425
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/formatter.h,
	cxxtools/include/cxxtools/bin/serializer.h,
	cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/valueparser.cpp,
	cxxtools/test/binserializer-test.cpp: serialize floating point
	values using mantissa and exponent in binary format instead of bcd git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1424
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/csvformatter.h,
	cxxtools/include/cxxtools/csvserializer.h,
	cxxtools/src/csvformatter.cpp, cxxtools/test/csvserializer-test.cpp: 
	make titles changable in csv serializer git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1423
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-16  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/Makefile.am, cxxtools/test/json-test.cpp: add
	combined json serializer and deserializer test git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1422
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-16  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/Makefile.am: remove json-test.cpp from Makefile.am
	of unit test since it does not exist git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1421
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-15  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/doc/binserialization.txt,
	cxxtools/include/cxxtools/bin/serializer.h,
	cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/responder.cpp,
	cxxtools/src/bin/rpcclientimpl.cpp, cxxtools/src/bin/scanner.cpp,
	cxxtools/src/bin/valueparser.cpp, cxxtools/src/jsonformatter.cpp,
	cxxtools/test/Makefile.am, cxxtools/test/binserializer-test.cpp,
	cxxtools/test/serializer-bench.cpp: optimize binary format git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1420
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/unit/application.h,
	cxxtools/include/cxxtools/unit/registertest.h,
	cxxtools/include/cxxtools/unit/testmain.h,
	cxxtools/src/unit/application.cpp: sort unit tests alphabetically git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1419
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/convert.h: use one digit more in
	conversion from string to floating point to reduce rounding error git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1418
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-13  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/convert.h,
	cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/serializationinfo.cpp, cxxtools/test/convert-test.cpp,
	cxxtools/test/csvserializer-test.cpp: reduce compiler warnings and
	fix unit test for csv serializer git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1417
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/convert.h: add missing return value git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1416
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/convert.h,
	cxxtools/test/convert-test.cpp: fix rounding error in convert git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1415
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-10  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/convert-test.cpp: add unit test for parsing floating
	point values with a capital 'E' as exponent git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1412
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-10  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvdeserializer.cpp: remove unused local variable git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1411
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-09  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/convert.h,
	cxxtools/test/convert-test.cpp: fix parsing floating point values in
	scientific notation with decimal point in cxxtools::convert (Adi) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1410
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-08  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/doc/binserialization.txt,
	cxxtools/include/cxxtools/bin/formatter.h,
	cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/include/cxxtools/csvformatter.h,
	cxxtools/include/cxxtools/decomposer.h,
	cxxtools/include/cxxtools/deserializerbase.h,
	cxxtools/include/cxxtools/formatter.h,
	cxxtools/include/cxxtools/jsondeserializer.h,
	cxxtools/include/cxxtools/jsonformatter.h,
	cxxtools/include/cxxtools/jsonserializer.h,
	cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/include/cxxtools/xml/xmlformatter.h,
	cxxtools/include/cxxtools/xmlrpc/formatter.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/valueparser.cpp,
	cxxtools/src/csvformatter.cpp, cxxtools/src/decomposer.cpp,
	cxxtools/src/deserializer.cpp, cxxtools/src/formatter.cpp,
	cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/responder.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/jsondeserializer.cpp, cxxtools/src/jsonformatter.cpp,
	cxxtools/src/serializationinfo.cpp,
	cxxtools/src/xml/xmldeserializer.cpp,
	cxxtools/src/xml/xmlformatter.cpp,
	cxxtools/src/xmlrpc/formatter.cpp,
	cxxtools/test/serializer-bench.cpp: remove id from SerialzationInfo
	add json to serializer benchmark git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1409
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/char.h,
	cxxtools/include/cxxtools/decomposer.h,
	cxxtools/include/cxxtools/jsonserializer.h,
	cxxtools/include/cxxtools/textstream.h,
	cxxtools/src/json/responder.cpp, cxxtools/src/jsonformatter.cpp: 
	define output operators for wchar_t and const wchar_t* to text
	streams send right id to client in jsonrpc git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1408
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-05  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.cpp: add version string to json
	message to comply with json rpc 2.0 git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1407
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/MyApp.pm: add perl test module for perl json rpc
	test program git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1406
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-04  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/formatter.h,
	cxxtools/include/cxxtools/deserializerbase.h,
	cxxtools/include/cxxtools/formatter.h,
	cxxtools/include/cxxtools/jsonformatter.h,
	cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/valueparser.cpp,
	cxxtools/src/decomposer.cpp, cxxtools/src/deserializer.cpp,
	cxxtools/src/formatter.cpp, cxxtools/src/json/responder.cpp,
	cxxtools/src/json/rpcclientimpl.cpp, cxxtools/src/json/scanner.cpp,
	cxxtools/src/jsonformatter.cpp, cxxtools/src/jsonparser.cpp,
	cxxtools/src/serializationinfo.cpp,
	cxxtools/test/binserializer-test.cpp,
	cxxtools/test/jsondeserializer-test.cpp,
	cxxtools/test/jsonechoclient.pl, cxxtools/test/jsonechoserver.pl,
	cxxtools/test/jsonserializer-test.cpp,
	cxxtools/test/rpcbenchclient.cpp: add support for null values in
	serialization and use it in json and binary serialization improve
	json rpc conformance (works now the perl json rpc client and server) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1405
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-03  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/httpclientimpl.h,
	cxxtools/src/json/rpcclient.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.h: cleanup code of json-rpc clients git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1404
	15ae5fad-cc11-0410-8fac-bce609e504b0

2012-01-02  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/rpcechoclient.cpp, cxxtools/demo/rpcserver.cpp,
	cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/json/httpclient.h,
	cxxtools/include/cxxtools/json/httpservice.h,
	cxxtools/include/cxxtools/json/responder.h,
	cxxtools/include/cxxtools/xmlrpc/responder.h,
	cxxtools/include/cxxtools/xmlrpc/service.h,
	cxxtools/src/json/Makefile.am, cxxtools/src/json/httpclient.cpp,
	cxxtools/src/json/httpclientimpl.cpp,
	cxxtools/src/json/httpclientimpl.h,
	cxxtools/src/json/httpresponder.cpp,
	cxxtools/src/json/httpresponder.h,
	cxxtools/src/json/httpservice.cpp, cxxtools/src/json/responder.cpp,
	cxxtools/src/json/responder.h, cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.h, cxxtools/src/json/scanner.cpp,
	cxxtools/src/json/scanner.h, cxxtools/src/json/socket.cpp,
	cxxtools/src/jsonparser.cpp, cxxtools/src/xmlrpc/responder.cpp,
	cxxtools/src/xmlrpc/service.cpp, cxxtools/test/Makefile.am,
	cxxtools/test/binrpc-test.cpp, cxxtools/test/jsonrpc-test.cpp,
	cxxtools/test/jsonrpchttp-test.cpp,
	cxxtools/test/rpcbenchclient.cpp, cxxtools/test/rpcbenchserver.cpp,
	cxxtools/test/xmlrpc-test.cpp: implement jsonrpc over http client
	and server git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1403
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-29  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/Makefile.am, cxxtools/demo/rpcasyncaddclient.cpp: 
	fix build on ubuntu 11.10 due to new DSO linking behaviour git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1402
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/jsonformatter.cpp: improve beautification mode of
	json git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1401
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-28  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/xml/xmlformatter.h,
	cxxtools/include/cxxtools/xml/xmlserializer.h,
	cxxtools/src/xml/xmlformatter.cpp: make xml attributes in xml
	serialization optional git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1400
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/jsonrpc-test.cpp: enable CallbackException test for
	jsonrpc git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1399
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/demo/Makefile.am, cxxtools/demo/rpcaddclient.cpp,
	cxxtools/demo/rpcechoclient.cpp, cxxtools/demo/rpcserver.cpp: add
	jsonrpc to demo applications git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1398
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-27  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/json/httpclient.h: remove not yet used
	header file git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1397
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/jsonrpc-test.cpp: add missing file for jsonrpc test git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1396
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/xmlrpc-test.cpp: xmlrpc actually do not throw an
	RemoteException but returns http 404 if method is not found git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1395
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/Makefile.am, cxxtools/configure.in,
	cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/json/httpclient.h,
	cxxtools/include/cxxtools/json/request.h,
	cxxtools/include/cxxtools/json/rpcclient.h,
	cxxtools/include/cxxtools/json/rpcserver.h,
	cxxtools/src/json/Makefile.am, cxxtools/src/json/listener.h,
	cxxtools/src/json/responder.cpp, cxxtools/src/json/responder.h,
	cxxtools/src/json/rpcclient.cpp,
	cxxtools/src/json/rpcclientimpl.cpp,
	cxxtools/src/json/rpcclientimpl.h, cxxtools/src/json/rpcserver.cpp,
	cxxtools/src/json/rpcserverimpl.cpp,
	cxxtools/src/json/rpcserverimpl.h, cxxtools/src/json/scanner.cpp,
	cxxtools/src/json/scanner.h, cxxtools/src/json/socket.cpp,
	cxxtools/src/json/socket.h, cxxtools/src/json/worker.cpp,
	cxxtools/src/json/worker.h, cxxtools/test/Makefile.am,
	cxxtools/test/rpcbenchclient.cpp, cxxtools/test/rpcbenchserver.cpp,
	cxxtools/test/xmlrpc-test.cpp: implement json rpc over raw socket git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1394
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/jsonformatter.h,
	cxxtools/src/jsonformatter.cpp: override all formatter methods in
	json formatter for simplification git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1393
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/unit/testsuite.h,
	cxxtools/src/unit/testsuite.cpp: execute tests in a testsuite of
	unit test in the same order as registered git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1392
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/Makefile.am: test for jsonrpc do not exist yet since
	jsnorpc do not exist git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1391
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/jsonformatter.h,
	cxxtools/include/cxxtools/jsonparser.h,
	cxxtools/include/cxxtools/jsonserializer.h,
	cxxtools/include/cxxtools/remoteexception.h,
	cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/src/bin/rpcclientimpl.cpp, cxxtools/src/jsonformatter.cpp,
	cxxtools/src/jsonparser.cpp, cxxtools/test/Makefile.am,
	cxxtools/test/binrpc-test.cpp,
	cxxtools/test/jsondeserializer-test.cpp,
	cxxtools/test/jsonserializer-test.cpp: bugfix: jsondeserializer can
	deserialize now empty arrays add operator== to SerializationInfo and
	other minor justifications in serialization framework git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1390
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-26  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/jsonformatter.cpp,
	cxxtools/test/jsonserializer-test.cpp: serialize boolean value in
	json as "true" or "false" git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1389
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/delegate.h,
	cxxtools/src/xml/xmldeserializer.cpp,
	cxxtools/src/xml/xmlformatter.cpp, cxxtools/src/xml/xmlreader.cpp: 
	remove unnecessary include of sourceinfo.h git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1388
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/posix/exec.h: add missing return value git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1387
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/rpcserver.h,
	cxxtools/include/cxxtools/serviceregistry.h,
	cxxtools/src/bin/rpcserver.cpp, cxxtools/src/serviceregistry.cpp: 
	implement method addService in binary rpc server to register all
	procedures of a service git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1386
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/posix/exec.h: reduce default size of
	arguments from 64k to 32k in cxxtools::posix::Exec to save stack git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1385
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-23  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/utf8codec.cpp: fix compiler warning on IBM xlC git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1384
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-21  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/string.cpp: fix unnecessary memory use in string
	class git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1383
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/config.h: remove generated file config.h git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1382
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-18  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/bin/deserializer.h,
	cxxtools/include/cxxtools/bin/formatter.h,
	cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/include/cxxtools/composer.h,
	cxxtools/include/cxxtools/config.h,
	cxxtools/include/cxxtools/csvdeserializer.h,
	cxxtools/include/cxxtools/csvparser.h,
	cxxtools/include/cxxtools/decomposer.h,
	cxxtools/include/cxxtools/deserializer.h,
	cxxtools/include/cxxtools/deserializerbase.h,
	cxxtools/include/cxxtools/formatter.h,
	cxxtools/include/cxxtools/jsondeserializer.h,
	cxxtools/include/cxxtools/jsonformatter.h,
	cxxtools/include/cxxtools/jsonparser.h,
	cxxtools/include/cxxtools/jsonserializer.h,
	cxxtools/include/cxxtools/serializationinfo.h,
	cxxtools/include/cxxtools/xml/xmldeserializer.h,
	cxxtools/include/cxxtools/xmlrpc/responder.h,
	cxxtools/include/cxxtools/xmlrpc/scanner.h,
	cxxtools/src/Makefile.am, cxxtools/src/bin/deserializer.cpp,
	cxxtools/src/bin/formatter.cpp, cxxtools/src/bin/responder.cpp,
	cxxtools/src/bin/responder.h, cxxtools/src/bin/rpcclientimpl.cpp,
	cxxtools/src/bin/rpcclientimpl.h, cxxtools/src/bin/scanner.cpp,
	cxxtools/src/bin/scanner.h, cxxtools/src/bin/valueparser.cpp,
	cxxtools/src/csvdeserializer.cpp, cxxtools/src/csvparser.cpp,
	cxxtools/src/decomposer.cpp, cxxtools/src/{composer.cpp =>
	deserializer.cpp}, cxxtools/src/formatter.cpp,
	cxxtools/src/jsondeserializer.cpp, cxxtools/src/jsonformatter.cpp,
	cxxtools/src/jsonparser.cpp, cxxtools/src/jsonserializer.cpp,
	cxxtools/src/serializationinfo.cpp,
	cxxtools/src/xml/xmldeserializer.cpp,
	cxxtools/src/xmlrpc/clientimpl.cpp,
	cxxtools/src/xmlrpc/clientimpl.h,
	cxxtools/src/xmlrpc/responder.cpp, cxxtools/src/xmlrpc/scanner.cpp,
	cxxtools/test/Makefile.am: move parse event methods from Composer to
	Deserializer git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1381
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-16  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvparser.cpp,
	cxxtools/test/csvdeserializer-test.cpp: fix parsing csv files with a
	single column git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1380
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-16  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/conversionerror.h,
	cxxtools/include/cxxtools/convert.h,
	cxxtools/src/conversionerror.cpp, cxxtools/src/convert.cpp,
	cxxtools/test/convert-test.cpp: improve error message in
	cxxtools::convert and implement conversions from const char* to all
	number types git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1379
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-15  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/src/Makefile.am,
	cxxtools/src/bin/Makefile.am, cxxtools/src/http/Makefile.am,
	cxxtools/src/unit/Makefile.am, cxxtools/src/xml/Makefile.am,
	cxxtools/src/xmlrpc/Makefile.am: flag -qmkshrobj is still needed on
	AIX git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1378
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/string.h,
	cxxtools/include/cxxtools/string.tpp, cxxtools/src/string.cpp: use
	longer variable names to prevent naming conflict (happened with _N
	in cxxtools::String on solaris/gcc) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1377
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-14  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/configure.in, cxxtools/src/Makefile.am,
	cxxtools/src/bin/Makefile.am, cxxtools/src/http/Makefile.am,
	cxxtools/src/unit/Makefile.am, cxxtools/src/xml/Makefile.am,
	cxxtools/src/xmlrpc/Makefile.am: shared lib flag -qmkshrobj for AIX
	is not needed any more git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1376
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/cxxtools/bin/valueparser.h,
	cxxtools/src/bin/valueparser.cpp,
	cxxtools/test/binserializer-test.cpp: fix binary deserializer for
	AIX (PowerPC, big endian) git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1375
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-12  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/test/serializationinfo-test.cpp: fix unit test for
	IBM/xlc compiler git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1374
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-11  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/csvparser.cpp: initializer csv parser correctly git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1373
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-11  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/src/bin/socket.cpp: fix crash in binary rpc server after
	last check in git-svn-id: svn://svn.code.sf.net/p/cxxtools/code/trunk@1372
	15ae5fad-cc11-0410-8fac-bce609e504b0

2011-12-11  maekitalo <maekitalo@15ae5fad-cc11-0410-8fac-bce609e504b0>

	* cxxtools/include/Makefile.am,
	cxxtools/include/cxxtools/bin/rpcserver.h,
	cxxtools/include/cxxtools/serviceprocedure.h,
	cxxtools/include/cxxtools/serviceregistry.h,
